# phpMyAdmin MySQL-Dump
# version 2.2.1
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Erstellungszeit: 30. Jan 2003 um 18:24
# Server Version: 3.23.40
# PHP Version: 4.2.3
# Datenbank : `ibps-jobmanager`
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `jm_category`
#

CREATE TABLE `jm_category` (
  `id` int(11) NOT NULL auto_increment,
  `rubrik` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`,`id`)
) TYPE=MyISAM;

#
# Daten fr Tabelle `jm_category`
#

INSERT INTO `jm_category` (`id`, `rubrik`) VALUES (1, 'Sonstige Berufe'),
(2, 'IT & EDV'),
(5, 'Kaufmnnische Berufe'),
(21, 'Rewe / Finanzen / Controlling'),
(13, 'Vertrieb & Verkauf'),
(24, 'Consulting & Beratung');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `jm_group`
#

CREATE TABLE `jm_group` (
  `id` int(11) NOT NULL auto_increment,
  `gruppe` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Daten fr Tabelle `jm_group`
#

INSERT INTO `jm_group` (`id`, `gruppe`) VALUES (1, 'Allgemein'),
(3, 'Gruppe 2'),
(4, 'Gruppe 3'),
(5, 'Gruppe 1'),
(6, 'Gruppe 4');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `jm_job`
#

CREATE TABLE `jm_job` (
  `job_id` int(11) NOT NULL auto_increment,
  `int_jobnr` varchar(10) default NULL,
  `erstellt` date NOT NULL default '0000-00-00',
  `guelab` date NOT NULL default '0000-00-00',
  `guelbis` date NOT NULL default '0000-00-00',
  `publish` enum('y','n') NOT NULL default 'n',
  `intro` text,
  `bezeichnung` varchar(150) NOT NULL default '',
  `zusatz` varchar(255) default NULL,
  `beschreibung` text NOT NULL,
  `rubrik_id` int(11) NOT NULL default '0',
  `geaendert_am` timestamp(14) NOT NULL,
  `benutzer_id` int(11) NOT NULL default '0',
  `gruppe_id` int(11) NOT NULL default '1',
  `region_id` int(11) NOT NULL default '1',
  PRIMARY KEY  (`job_id`,`job_id`)
) TYPE=MyISAM;

#
# Daten fr Tabelle `jm_job`
#

INSERT INTO `jm_job` (`job_id`, `int_jobnr`, `erstellt`, `guelab`, `guelbis`, `publish`, `intro`, `bezeichnung`, `zusatz`, `beschreibung`, `rubrik_id`, `geaendert_am`, `benutzer_id`, `gruppe_id`, `region_id`) VALUES (2, '0002', '2001-12-14', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr ein amerikanisches Industrieunternehmen mit Sitz in der Nhe von Leverkusen mehrere', 'CAD-Konstrukteure /-Designer (m/w)', '', 'Anforderungen: \r\n<UL>\r\n<LI>abgeschlossene Ausbildung zum/zur Techniker/in oder zum/zur technischen Zeichner/in \r\n<LI>gute Kenntnisse in den CAD-Systemen CATIA oder UNIGRAPHICS \r\n<LI>gute Englischkenntnisse </LI></UL>Geboten werden eine interessante Ttigkeit in einem jungen Team sowie ein expandierendes internationales Umfeld. Wenn Sie Interesse an dieser Position haben, freuen wir uns auf die Zusendung Ihrer aussagekrftigen Bewerbungsunterlagen unter Angabe Ihrer Gehaltsvorstellung und Ihres frhestmglichen Eintrittstermins. Fr Bewerber ist eine Vermittlung kostenlos.', 24, 20020926214941, 1, 17, 1),
(3, '0003', '2001-12-14', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr das VermgensCenter eines der fhrenden Kreditinstitute mit Sitz in Bonn eine/n', 'Juniorberater/in', '', 'Aufgaben: \r\n<UL>\r\n<LI>Untersttzung der Individual- bzw. Wertpapier-Fachberater/-innen \r\n<LI>Vorbereitung auf die bernahme einer solchen Position in Praxis und Theorie </LI></UL>Anforderungen: \r\n<UL>\r\n<LI>Abgeschlossene Ausbildung zur/zum Bankkauffrau/-mann \r\n<LI>Basiswissen in der Privatkundenberatung, entweder in der beruflichen Praxis und Weiterbildung oder ber ein wirtschaftswissenschaftliches Studium. </LI></UL>', 24, 20030127134655, 1, 1, 5),
(7, '0007', '2001-12-14', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr ein amerikanisches Industrieunternehmen mit Sitz in der Nhe von Leverkusen einen', 'Program Controller(m/w)', '', 'Aufgaben: \r\n<UL>\r\n<LI>kaufmnnische Steuerung der Entwicklungsprojekte, Kostentransparenz, Budgetkontrolle und -steuerung \r\n<LI>Gesamtwirtschaftlichkeit der Programme \r\n<LI>Mitarbeit im Business Unit Controlling Team \r\n<LI>Kooperation mit den Bereichen Programmanagement, Engineering und Accounting </LI></UL>Anforderungen: \r\n<UL>\r\n<LI>abgeschlossenes Studium der Betriebswirtschaftslehre oder der Ingenieurwissenschaften \r\n<LI>einschlgige Berufserfahrung \r\n<LI>fundierte Kenntnisse in der Kostenrechnung \r\n<LI>Erfahrung im Controlling/Projektcontrolling \r\n<LI>gute Englischkenntnisse </LI></UL>', 21, 20030109213340, 1, 5, 1),
(8, '0008', '2001-12-14', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr ein amerikanisches Industrieunternehmen mit Sitz in der Nhe von Leverkusen mehrere', 'Projektingenieure (m/w)', '', 'Aufgaben: \r\n<UL>\r\n<LI>Zustndigkeit fr die Projekt-/Planungsarbeiten unter Bercksichtigung der kundenspezifischen Anforderungen \r\n<LI>Projektverfolgung bis zum technisch und wirtschaftlich optimalen Serienlauf \r\n<LI>technische Untersttzung in der Serienfertigung </LI></UL>Anforderungen: \r\n<UL>\r\n<LI>abgeschlossenes Studium zum Diplom-Ingenieur, Fachrichtung Maschinenbau / Kunststoff- oder Produktionstechnik \r\n<LI>gute Kenntnisse im Projektmanagement \r\n<LI>idealerweise erste Berufserfahrung, Berufsanfnger sind jedoch ebenfalls willkommen \r\n<LI>gute Englischkenntnisse \r\n<LI>Teamfhigkeit \r\n<LI>Flexibilitt \r\n<LI>Belastbarkeit </LI></UL>Wenn Sie Interesse an dieser Position haben, freuen wir uns auf die Zusendung Ihrer aussagekrftigen Bewerbungsunterlagen unter Angabe Ihrer Gehaltsvorstellung und Ihres frhestmglichen Eintrittstermins.', 24, 20020926214941, 1, 1, 1),
(10, '0010', '2001-12-15', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr einen der grten europischen Chemiekonzerne fr den Standort Dsseldorf eine/n', 'Vertriebssachbearbeiter/in  (Teilzeit)', '', 'Aufgaben:\r\n<ul>\r\n<li>Entgegennahme und Verwaltung von Auftrgen\r\n<li>Kontakt zu Kunden, Lieferanten (aus Frankreich), etc.\r\n<li>Hin und wieder bersetzungen (Franzsisch / Deutsch)\r\n</ul>\r\n\r\nAnforderungen:\r\n<ul>\r\n<li>abgeschlossene kaufmnnische Ausbildung\r\n<li>erste Berufserfahrung, idealerweise im o. g. Bereich\r\n<li>flieende Franzsischkenntnisse in Wort und Schrift\r\n<li>gute PC-Anwenderkenntnisse (Word, Excel)\r\n</ul>\r\nWenn Sie Interesse an dieser Position haben, freuen wir uns auf die Zusendung Ihrer aussagekrftigen Bewerbungsunterlagen unter Angabe Ihrer Gehaltsvorstellung und Ihres frhestmglichen Eintrittstermins an:\r\n\r\nproJob \r\nR.A.D. Arbeitsvermittlung GmbH\r\nThieboldsgasse 152\r\n50676 Kln\r\nTel  02 21/ 13 90 474\r\nFax 02 21/13 90 545\r\ne-mail: info@projob.de\r\nhttp:// www.projob.de \r\n\r\nFr Bewerber ist eine Vermittlung kostenlos.', 5, 20020926214941, 1, 1, 1),
(11, '0011', '2001-12-15', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr eine berregional ttige Unternehmensberatung fr Softwareentwicklung mit Sitz in Kln mehrere', 'Informatiker/innen / Anwendungsentwickler/innen', '', 'Aufgaben:\r\n<ul>\r\n<li>Systementwicklung in den Bereichen der Vertragsverwaltung und Mathematik von Lebensversicherungsunternehmen \r\n<li>Realisierung von definierbaren Anwendungssystemen sowie deren Definitionssystemen und Datenbankmodellierung \r\n<li>Konzeptionelle und technische Erarbeitung von Dialogsystemen \r\n<li>Weiterentwicklung des Bestandsfhrungssytem\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Ausbildung innerhalb der Datenverarbeitung oder einen Hoch-schulabschlu sowie Berufserfahrung in der IT-Branche \r\n<li>Programmierkenntnisse in einer oder mehreren Sprachen, wie C, C++, Cobol, PL1, APL, JAVA, XML, HTML oder Small Talk inner-halb von MVS unter CICS oder IMS, Windows, UNIX oder OS \r\n<li>Erfahrungen in einer Grorechenumgebung und/oder innerhalb von C/S-Architekturen \r\n<li>Teamgeist, Engagement \r\n</ul>\r\nGeboten wird eine verantwortungsvolle Position innerhalb eines jungen Teams, mit der Mglichkeit, wesentlich zum Wachstum und Erfolg des Unternehmens beizutragen.\r\n\r\nWenn Sie Interesse an dieser Position haben, freuen wir uns auf die Zusendung Ihrer aussagekrftigen Bewerbungsunterlagen unter Angabe Ihrer Gehaltsvorstellung und Ihres frhestmglichen Eintrittstermins.', 2, 20020926214941, 1, 1, 1),
(21, '0014', '2001-12-24', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr einen der fhrenden Telekommunikationsanbieter mit Sitz in Kln vier', 'Verkaufsberater/innen', '', 'Aufgaben:\r\n<ul>\r\n<li>Verkauf von Telefon- und Internet-Anschlssen\r\n<li>Beratung der Kunden und Interessenten\r\n<li>Auftragsverwaltung\r\n<li>Mitarbeit bei der Inventuraufnahme\r\n<li>Wareneingangs- und Ausgangskontrolle\r\n<li>Erstellen von Statistiken\r\n<li>Kassenfhrung und -abschlu\r\n<li>Einzahlungen bei der Bank oder am Nachtschalter\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Abgeschlossene Berufsausbildung\r\n<li>Erste Berufserfahrung in Beratung und Verkauf\r\n<li>Ausgeprgtes service- und Denken und Handeln\r\n<li>Freundliches Auftreten\r\n<li>Abschlustrke\r\n<li>Spa am Umgang mit technischen Fragen\r\n<li>Idealerweise Fachkenntnisse im Bereich der Telekommunikation\r\n</ul>', 24, 20020926214941, 1, 1, 1),
(24, '0017', '2001-12-31', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr einen Versicherungskonzern mit Sitz in Kln eine', 'Bereichsleitersekretrin', '', 'Aufgaben:<ul>\r\n<li>klassische Sekretariatsaufgaben\r\n<li>Untersttzung des Bereichsleiters bei der Bearbeitung einzelner Projekte, insbesondere zu den Bereichen Organisations- und Personalentwicklung\r\n<li>einzelne sachbearbeitende Ttigkeiten\r\n</ul>\r\nAnforderungen:<ul>\r\n<li>abgeschlossene kaufmnnische Ausbildung, gerne zur Fremdsprachen- oder Europasekretrin\r\n<li>mehrjhrige Berufserfahrung in einer hnlichen Position\r\n<li>gute Englisch- und Franzsischkenntnisse\r\n<li>Beherrschung der MS-Office-Produkte\r\n<li>angenehmes, freundliches Auftreten\r\n</ul>\r\nGeboten wird eine anspruchsvolle und abwechslungsreiche Ttigkeit in einem fhrenden Unternehmen in zentraler Lage von Kln.\r\n\r\nWenn Sie Interesse an dieser eigenstndigen Position haben, freuen wir uns auf die Zusendung Ihrer aussagekrftigen Bewerbungsunterlagen unter Angabe Ihrer Gehaltsvorstellung und Ihres frhestmglichen Eintrittstermins.\r\n\r\nFr Bewerber ist eine Vermittlung kostenlos.', 5, 20020926214941, 1, 1, 1),
(26, '0019', '2001-12-31', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr ein Dienstleistungsunternehmen im Bereich Finanzbuchhaltung, Controlling, Personalwirtschaft mit Sitz in Kln eine/n', 'Finanzbuchhalter/in', '', 'Aufgaben:\r\n<ul>\r\n<li>Selbstndige Bearbeitung von Mandantenbuchhaltungen\r\n<li>Beteiligung an der Erstellung von Monats- und Jahresabschlssen\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Abgeschlossene kaufmnnische Ausbildung, gerne zum Steuerfachgehilfen\r\n<li>Mehrjhrige Berufserfahrung \r\n<li>Gute MS-Office-Anwenderkenntnisse, idealerweise SAP HR-Kenntnisse\r\n<li>Kommunikationsstrke, Teamfhigkeit und Engagement\r\n</ul>\r\nWenn Sie Interesse an dieser Position haben, freuen wir uns auf die Zusendung Ihrer aussagekrftigen Bewerbungsunterlagen unter Angabe Ihrer Gehaltsvorstellung und Ihres frhestmglichen Eintrittstermins.', 21, 20020926214941, 1, 1, 1),
(27, '0020', '2001-12-31', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr einen der grten internationalen Chemiekonzerne mit Sitz im Groraum Kln/Dsseldorf eine/n ', 'Leiter/in Bankbuchhaltung', '', 'Aufgaben:\r\n<ul>\r\n<li>Verantwortliche Steuerung der Bankbuchhaltung\r\n<li>Steuerung der Inhouse - Bankabwicklung\r\n<li>Buchhalterische Zahlungseingangsverarbeitung und Abwicklung des Cash Pooling\r\n<li>Kontenabstimmung, Bankenkontenplan, AWV-Meldewesen\r\n<li>Mitarbeit bei der Erstellung des Jahresabschlusses\r\n<li>Integration verbundener Unternehmen\r\n<li>KPI berwachung\r\n<li>Mitarbeit bei Projekten\r\n<li>Personalfhrung (4-5 Mitarbeiter)\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Ausbildung zur/zum Bankkauffrau/-mann und abgeschlossenes Studium der BWL/VWL\r\n<li>Gute Buchhaltungskenntnisse\r\n<li>IAS 39 Kenntnisse wnschenswert\r\n<li>SAP R/3 Kenntnisse\r\n<li>Gute EDV-Kenntnisse (MS Office, Netzwerke, Internet)\r\n<li>gute Englischkenntnisse in Wort und Schrift\r\n<li>weitere Fremdsprachenkenntnisse von Vorteil\r\n<li>analytisches Denkvermgen\r\n<li>Teamfhigkeit\r\n<li>Bankerfahrung von Vorteil\r\n</ul>\r\nWenn Sie Interesse an dieser ausbaufhigen Position haben, freuen wir uns auf die Zusendung Ihrer aussagekrftigen Bewerbungsunterlagen unter Angabe Ihrer Gehaltsvorstellung und Ihres frhestmglichen Eintrittstermins.\r\n', 21, 20020926214941, 1, 1, 1),
(28, '0021', '2002-01-01', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr das VermgensCenter eines der fhrenden Kreditinstitute mit Sitz in Bonn eine/n', 'Wertpapierfach-Berater/in', '', 'Aufgaben:\r\n<ul>\r\n<li>Betreuung eines eigenen Stamms von sehr wertpapierorientierten Kunden \r\n<li>Untersttzung der Individualkundenberater/-innen mit Ihrem Spezialwissen\r\n>/ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Berufserfahrung in der Vermgensberatung bei einem Kreditinstitut\r\n<li>Umfassende Kenntnisse im Wertpapiergeschft\r\n</ul>\r\n\r\nWenn Sie Interesse an einer dieser Positionen haben, freuen wir uns auf die Zusendung Ihrer aussagekrftigen Bewerbungsunterlagen unter Angabe Ihrer Gehaltsvorstellung und Ihres frhestmglichen Eintrittstermins.', 21, 20020926214941, 1, 1, 1),
(29, '0022', '2002-01-01', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr das VermgensCenter eines der fhrenden Kreditinstitute mit Sitz in Bonn eine/n', 'Individualberater/in', '', 'Aufgaben:\r\n<ul>\r\n<li>Betreuung eines festen Stamms von vermgenden Privatkunden in allen Finanzdienstleistungen\r\n<li>Steuerung Ihres eigenen Erfolgs im Rahmen eines eigenen\r\nProfit-Centers.\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Berufserfahrung in der Vermgensberatung bei einem Kreditinstitut\r\n<li>Umfassende Kenntnisse in der Vermgensanlage, insbesondere im Wertpapiergeschft\r\n</ul>\r\n\r\nWenn Sie Interesse an einer dieser Positionen haben, freuen wir uns auf die Zusendung Ihrer aussagekrftigen Bewerbungsunterlagen unter Angabe Ihrer Gehaltsvorstellung und Ihres frhestmglichen Eintrittstermins.', 24, 20020926214941, 1, 1, 1),
(30, '0023', '2002-01-01', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr einen international ttigen Messeveranstalter mit Sitz im Rhein-/Maingebiet eine/n', 'Personalreferent/in', '', 'Aufgaben:\r\n<ul>\r\n<li>Recruiting von Mitarbeitern und Fhrungskrften einschlielich Personalmarketingaktivitten\r\n<li>Beratung und Betreuung von Fhrungskrften und Mitarbeitern in allen Personalfragen\r\n<li>Moderation von Gesprchen und Teambesprechungen\r\n<li>Betriebsratsmanagement\r\n<li>Sonderprojekte im Personalmanagement\r\n<li>Optimierung von Arbeitsprozessen\r\n<li>Perspektive: Teamleitung\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Abgeschlossenes Studium in BWL, Jura oder Geisteswissenschaft oder Personalkaufmann/frau IHK\r\n<li>Mindestens 2-3 Jahre Berufserfahrung im operativen Personalmanagement\r\n<li>Kommunikationsfhigkeit, Verhandlungsgeschick, Durchsetzungsvermgen, Organisationstalent, Belastbarkeit, Teamorientiert\r\n</ul>', 1, 20020926214941, 1, 1, 1),
(31, '0024', '2002-01-01', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr einen international ttigen Messeveranstalter mit Sitz im Rhein- / Maingebiet eine/n', 'Leiter/in Personalbetreuung', '', 'Aufgaben:\r\n<ul>\r\n<li>Fhrung der Personalbetreuungsteams innerhalb des Personalmanagements\r\n<li>Operative Fhrung eines speziellen Personalbetreuungsteams als Teamleiter\r\n<li>Rekrutierung von Mitarbeitern und Fhrungskrften einschlielich Personalmarketingaktivitten\r\n<li>Beratung und Betreuung von Mitarbeitern und Fhrungskrften in allen Personalfragen\r\n<li>Moderation von Konfliktgesprchen und Teambesprechungen\r\n<li>Betriebsratmanagement\r\n<li>Sonderprojekte im Personalmanagement\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Abgeschlossenes Studium in BWL, Jura oder Geisteswissenschaft (betriebswirtschaftliche Affinitt)\r\n<li>Mindestens 5 Jahre Berufserfahrung im operativen Personalmanagement\r\n<li>Umfassende Kenntnisse im Bereich Grundsatzfragen, Tarife, Gehaltsabrechnung, Vergtungssysteme, Beschaffung, etc.\r\n<li>Fhrungserfahrung\r\n<li>Kontakt- und Kommunikationsstrke, Verhandlungsgeschick, Durchsetzungsvermgen\r\n<li>Gute Englischkenntnisse sowie gute MS Office-Kenntnisse\r\n</ul>', 24, 20020926214941, 1, 1, 1),
(32, '0025', '2002-01-01', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr ein international ttiges Werbe- und PR-Agentur-Network mit Sitz in Kln eine/n', 'Manager Media- und Sponsoring-Verkauf', '', 'Aufgaben:\r\n<ul>\r\n<li>Kundenberatung\r\n<li>Verkauf von Anzeigen und  TV-Werbezeiten\r\n<li>Sponsoring-Manahmen fr die hochauflagigen Publikumsmagazine, TV-Sendungen bzw. Sport- und Musikevents im In- und Ausland\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Hohe Kompetenz und Leistungsbereitschaft in diesem erfolgsorientierten Geschft\r\n<li>Spa am Verkauf\r\n<li>Sehr gute Kenntnisse der Markenartikelindustrie, im Marketing sowie im Media-Business\r\n</ul>', 13, 20020926214941, 1, 1, 1),
(33, '0026', '2002-01-01', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr ein Dienstleistungsunternehmen im Bereich Non-Food-Catering zwei', 'Gebietsverkaufsleiter', '', 'Aufgaben:\r\n<ul>\r\n<li>Akquisition neuer sowie bestehender Kunden (Kunden kommen aus den Bereichen Partyservice, Hotel, Restaurant, Veranstaltungs- und Eventagenturen)\r\n<li>Kontaktpflege\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Abgeschlossene Ausbildung, vorzugsweise im Hotel- & Gastronomiegewerbe\r\n<li>Mehrjhrige Aussendiensterfahrung, idealerweise in der Hotellerie / Gastronomie\r\n<li>Verkaufstalent\r\n</ul>', 13, 20020926214941, 1, 1, 1),
(35, '0028', '2002-01-01', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr ein international ttiges Werbe- und PR-Agentur-Network mit Sitz in Kln eine/n', 'Finanzbuchhalter/in', '', 'Aufgaben:\r\n<ul>\r\n<li>Debitoren-, Kreditoren- und Sachkontenbuchhaltung\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Abgeschlossene Ausbildung zum Steuerfachgehilfen (m/w) \r\n<li>2 bis 3 Jahre Berufserfahrung\r\n<li>Idealerweise Datev-Kenntnisse\r\n<li>Idealerweise Kenntnisse in der Lohn- und Gehaltsabrechnung\r\n</ul>', 21, 20020926214941, 1, 1, 1),
(37, '0030', '2002-01-01', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr eines der fhrenden, weltweit agierenden Unternehmen im Chemiebereich mit Sitz im Groraum Kln/Dsseldorf eine', 'Sekretrin/Assistentin', 'fr Leiter Rechtsabteilung', 'Aufgaben:\r\n<ul>\r\n<li>Untersttzung des Leiters Rechtsabteilung (weltweit)\r\n<li>Bearbeitung der anfallenden Korrespondenz\r\n<li>Administration und Organisation des Sekretariats\r\n<li>Vorbereitung uns selbstndige Erstellung von Prsentationsunterlagen\r\n<li>Budgetverwaltung \r\n<li>Bearbeitung von Personalangelegenheiten der Rechtsabteilung\r\n<li>Verwaltung und Bearbeitung von anfallenden Projekten\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Abgeschlossene kaufmnnische Ausbildung\r\n<li>Mehrjhrige Berufserfahrung\r\n<li>Flieende Deutsch- und Englischkenntnisse\r\n<li>Sehr gute MS-Office Kenntnisse\r\n<li>Juristische Kenntnisse wnschenswert\r\n</ul>', 5, 20020926214941, 1, 1, 1),
(38, '0031', '2002-01-01', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr ein international ttiges Werbe- und PR-Agentur-Network mit Sitz in Kln eine', 'Teamassistentin', '', 'Aufgaben:\r\n\r\nGesamte Abwicklung des Sekretariats wie z. B.:\r\n<ul>\r\n<li>Empfang\r\n<li>Annahme von Telefonaten\r\n<li>Postbearbeitung \r\n<li>Fhren des Kassenbuches\r\n<li>Vorbereitende Buchhaltung (Rechnungseingnge vorkontieren)\r\n<li>Reisekostenabrechnung\r\n<li>Termin- und Reiseplanung\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Abgeschlossene kaufmnnische Ausbildung \r\n<li>Mindestens 2 Jahre Berufserfahrung\r\n<li>Englischkenntnisse\r\n<li>Gute MS-Office-Kenntnisse\r\n<li>Flexibilitt\r\n<li>Organisationstalent\r\n</ul>', 5, 20020926214941, 1, 1, 1),
(39, '0032', '2002-01-01', '0000-00-00', '0000-00-00', 'y', 'Wir suchen fr die Tochtergesellschaft einer PR-Agentur im Bereich Internet mit Sitz in Wuppertal eine/n', 'Vertriebsmitarbeiter/in', '', 'Aufgaben:\r\n<ul>\r\n<li>Kundenbetreuung \r\n<li>Kundenakquise\r\n<li>Auftragsabwicklung\r\n</ul>\r\nAnforderungen:\r\n<ul>\r\n<li>Abgeschlossene kaufmnnische Ausbildung \r\n<li>Mehrjhrige Vertriebserfahrung\r\n<li>Gute MS-Office-Anwenderkenntnisse\r\n<li>Gute Internetkenntnisse\r\n<li>Gute sprachliche Ausdrucksfhigkeit\r\n<li>Kundenorientierung, Belastbarkeit, Teamgeist\r\n</ul>', 13, 20020926214941, 1, 1, 1);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `jm_jobstats`
#

CREATE TABLE `jm_jobstats` (
  `abruf_id` int(11) NOT NULL auto_increment,
  `job_id` int(11) NOT NULL default '0',
  `job_int_nr` varchar(10) default NULL,
  `job_name` varchar(255) NOT NULL default '',
  `category_id` int(11) NOT NULL default '0',
  `category_name` varchar(255) NOT NULL default '',
  `date` timestamp(14) NOT NULL,
  `group_id` int(11) NOT NULL default '0',
  `group_name` varchar(255) NOT NULL default '',
  `region_id` int(11) default NULL,
  `region_name` varchar(255) default NULL,
  PRIMARY KEY  (`abruf_id`)
) TYPE=MyISAM;

#
# Daten fr Tabelle `jm_jobstats`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `jm_list_config`
#

CREATE TABLE `jm_list_config` (
  `id` int(11) NOT NULL auto_increment,
  `list_name` varchar(10) NOT NULL default '',
  `row_1_show` int(11) default NULL,
  `row_1_link` int(11) default NULL,
  `row_2_show` int(11) default NULL,
  `row_2_link` int(11) default NULL,
  `row_3_show` int(11) default NULL,
  `row_3_link` int(11) default NULL,
  `row_4_show` int(11) default NULL,
  `row_4_link` int(11) default NULL,
  `row_5_show` int(11) default NULL,
  `row_5_link` int(11) default NULL,
  `row_6_show` int(11) default NULL,
  `row_6_link` int(11) default NULL,
  `row_7_show` int(11) default NULL,
  `row_7_link` int(11) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Listenkonfiguration fr Front-End';

#
# Daten fr Tabelle `jm_list_config`
#

INSERT INTO `jm_list_config` (`id`, `list_name`, `row_1_show`, `row_1_link`, `row_2_show`, `row_2_link`, `row_3_show`, `row_3_link`, `row_4_show`, `row_4_link`, `row_5_show`, `row_5_link`, `row_6_show`, `row_6_link`, `row_7_show`, `row_7_link`) VALUES (1, 'category', 7, NULL, 2, 4, 5, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(2, 'search', 7, NULL, 2, 4, 3, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(3, 'group', 7, NULL, 2, 4, 5, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(4, 'region', 7, NULL, 2, 4, 3, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `jm_list_config_fields`
#

CREATE TABLE `jm_list_config_fields` (
  `id` int(11) NOT NULL auto_increment,
  `db_field_name` varchar(20) NOT NULL default '',
  `text_de` varchar(25) NOT NULL default '',
  `text_en` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Daten fr Tabelle `jm_list_config_fields`
#

INSERT INTO `jm_list_config_fields` (`id`, `db_field_name`, `text_de`, `text_en`) VALUES (1, 'int_jobnr', 'int. Job-Nr.', 'int. Job-No.'),
(2, 'bezeichnung', 'Stellenbezeichnung', 'job name'),
(3, 'rubrik_id', 'Rubrik', 'category'),
(4, 'gruppe_id', 'Gruppe', 'group'),
(5, 'region_id', 'Region', 'region'),
(6, 'erstellt', 'Einstelldatum', ''),
(7, 'lfn_nr', 'Nr.', 'No.');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `jm_list_config_links`
#

CREATE TABLE `jm_list_config_links` (
  `id` int(11) NOT NULL auto_increment,
  `link_name` varchar(10) NOT NULL default '',
  `text_de` varchar(20) NOT NULL default '',
  `text_en` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Daten fr Tabelle `jm_list_config_links`
#

INSERT INTO `jm_list_config_links` (`id`, `link_name`, `text_de`, `text_en`) VALUES (1, 'category', 'Rubrik', 'category'),
(2, 'group', 'Gruppe', 'group'),
(3, 'region', 'Region', 'region'),
(4, 'job', 'Jobangebot', 'vacancies');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `jm_region`
#

CREATE TABLE `jm_region` (
  `id` int(11) NOT NULL auto_increment,
  `region` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Daten fr Tabelle `jm_region`
#

INSERT INTO `jm_region` (`id`, `region`) VALUES (5, 'Region 1'),
(6, 'Region 2'),
(7, 'Region 3'),
(1, 'bundesweit');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `jm_role`
#

CREATE TABLE `jm_role` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `new_job` enum('y','n') NOT NULL default 'y',
  `edit_job` enum('y','n') NOT NULL default 'y',
  `del_job` enum('y','n') NOT NULL default 'y',
  `new_option` enum('y','n') NOT NULL default 'y',
  `edit_option` enum('y','n') NOT NULL default 'y',
  `del_option` enum('y','n') NOT NULL default 'y',
  `new_admin` enum('y','n') NOT NULL default 'y',
  `edit_admin` enum('y','n') NOT NULL default 'y',
  `del_admin` enum('y','n') NOT NULL default 'y',
  `statistics` enum('y','n') NOT NULL default 'y',
  `publish` enum('y','n') NOT NULL default 'y',
  `admin_flag` enum('y','n') NOT NULL default 'n',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Daten fr Tabelle `jm_role`
#

INSERT INTO `jm_role` (`id`, `name`, `new_job`, `edit_job`, `del_job`, `new_option`, `edit_option`, `del_option`, `new_admin`, `edit_admin`, `del_admin`, `statistics`, `publish`, `admin_flag`) VALUES (1, 'Adminstrator', 'y', 'y', 'y', 'y', 'y', 'y', 'y', 'y', 'y', 'y', 'y', 'y'),
(13, 'Redakteur', 'y', 'y', 'y', 'y', 'y', 'y', 'n', 'n', 'n', 'n', 'n', 'n');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `jm_user`
#

CREATE TABLE `jm_user` (
  `id` int(11) NOT NULL auto_increment,
  `user` varchar(10) NOT NULL default '',
  `passwort` varchar(10) NOT NULL default '',
  `last_login` datetime NOT NULL default '0000-00-00 00:00:00',
  `role_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `beschreibung` varchar(255) default NULL,
  `in_use` enum('0','1') NOT NULL default '0',
  `last_action` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `User` (`user`),
  UNIQUE KEY `Benutzer_Id` (`id`)
) TYPE=MyISAM;

#
# Daten fr Tabelle `jm_user`
#

INSERT INTO `jm_user` (`id`, `user`, `passwort`, `last_login`, `role_id`, `name`, `beschreibung`, `in_use`, `last_action`) VALUES (1, 'admin', 'admin', '2003-01-27 13:46:27', 1, 'Administrator', 'Administrator des Systems', '0', 20030127134700),
(17, 'redakteur', 'redakteur', '2003-01-09 17:38:01', 13, 'Redakteur', '', '0', 20030109174528);

