<?php
/*
IBPS Jobmanager Version 1.1
Definition der globalen Variablen
Last Update: 08.01.2003
Author(s): Ralf Friedrichs
*/

//general info
define ('VERSION', 'Version 1.1');                      // Version
define ('LICENSEE', 'IBPS Friedrichs');                 // Lizenznehmer

// define database connection
define ('DB_HOST', 'localhost');                        // IP oder Domain des DB-Servers
define ('DB_USER', 'worker');                           // User-ID fr die Datenbank
define ('DB_PWD',  'worker_1');                         // Passwort fr die Datenbank
define ('DB_NAME', 'ibps-jobmanager');                  // Name der Datenbank

// define server and path data
define ('HTTP_SERVER', '10.1.19.112');                  // IP oder Domain der Servers
define ('DIR_JOBMANAGER_ROOT', '/jobmanager/');         // Basispfad zum Jobmanager
define ('DIR_JOB_AD_ROOT', '/jobangebote/');            // Basispfad zum Jobmanager
define ('DIR_INCLUDES_LANGUAGE', 'includes/texte/');    // Pfad zu den Textdateien
define ('DIR_IMAGES', 'images/');                       // Pfad zu den Bilddateien
define ('DIR_TEMPLATE_FILES', 'templates/');            // Pfad zum Exportpfad der CSV-Dateien der Statistik
define ('DIR_STAT_FILES', 'stat_files/');               // Pfad zum Exportpfad der CSV-Dateien der Statistik

// define filenames
define ('FILENAME_JM_START', 'index.php');              // Dateiname der zentralen Textdatei
define ('FILENAME_LANGUAGE', 'german.php');             // Dateiname der zentralen Textdatei
define ('FILENAME_JOB_LIST', 'jm_job_list.php');        // Dateiname Jobauflistung
define ('FILENAME_JOB_EDIT', 'jm_job_edit.php');        // Dateiname Jobbearbeitung
define ('FILENAME_JOB_EDIT_RO', 'jm_job_edit_ro.php');  // Dateiname Jobbearbeitung nur im Read-Only-Modus
define ('FILENAME_ROLE_LIST', 'jm_role_list.php');      // Dateiname Rollenauflistung
define ('FILENAME_ROLE_EDIT', 'jm_role_edit.php');      // Dateiname Rollenbearbeitung
define ('FILENAME_USER_LIST', 'jm_user_list.php');      // Dateiname Benutzerauflistung
define ('FILENAME_USER_EDIT', 'jm_user_edit.php');      // Dateiname Benutzerbearbeitung
define ('FILENAME_GROUP_EDIT', 'jm_group_edit.php');    // Dateiname Gruppenliste & Gruppenbearbeitung
define ('FILENAME_REGION_EDIT', 'jm_region_edit.php');  // Dateiname Regionliste & Regionbearbeitung
define ('FILENAME_RUBRIK_EDIT', 'jm_rubrik_edit.php');  // Dateiname Rubrikenliste & Rubrikenbearbeitung
define ('FILENAME_DEL_LIST1', 'jm_delete_list_1.php');  // Dateiname Auswhlen des Ersatzeintrages fr alle beim Lschen
define ('FILENAME_DEL_LIST2', 'jm_delete_list_2.php');  // Dateiname Individuelles Auswhlen des Ersatzeintrages beim Lschen
define ('FILENAME_LIST_CONFIG', 'jm_list_config.php');  // Dateiname Individuelles Gestalten der Frontend-Anzeige
define ('FILENAME_JOB_STAT', 'jm_stat_overview.php');   // Dateiname fr Statistik-bersicht
define ('FILENAME_RDF', 'jm_rdf_export.php');           // Dateiname fr den Export von Joblinks im RDF-Format

// define templates
define ('TEMPLATE_JOBVIEW_1', 'tpl_jobview_1.php');     // Template fr Anzeigeseite 1 im Frontend (jm_jobview_1.php)
define ('TEMPLATE_JOBVIEW_2', 'tpl_jobview_2.php');     // Template fr Anzeigeseite 2 im Frontend (jm_jobview_2.php)
define ('TEMPLATE_JOBVIEW_3', 'tpl_jobview_3.php');     // Template fr Anzeigeseite 3 (Jobangebot) im Frontend (jm_jobview_3.php)
define ('TEMPLATE_JOBVIEW_ERROR', 'tpl_jobview_error.php');     // Template fr Fehlerseite im Frontend (jm_jobview_1/2/3.php)

// some defaults
define ('TIMEOUT', '30');                               // Inaktivittszeit bis zu neuen Einloggen in Minuten
define ('JOB_EDIT_FORM', '0');                          // Wahl des Editors fr Jobbearbeitung (0 Autodetect, 1 Textarea, 2 DHTML)
define ('JOB_LOGGING', true);                           // Logging der Jobabrufe ein-/ ausschalten (true/false)
define ('STANDARD_MAIL', 'info@ibps-friedrichs.de');    // Standard-Mail-Adresse
define ('JOB_EXPORT', true);                            // Autom. Export aktueller Stellenangebote ein-/ ausschalten (true/false)

// define website data
define ('BLOCK_RUBRIK_LIST', true);                     // Rubrikliste im MP-Bereich ja/nein (true/false)
define ('BLOCK_ALPHA_LIST', false);                     // Alphabetische Liste im MP-Bereich ja/nein (true/false)

// define company logo
define ('IMAGE_COMPANY_LOGO', DIR_JOBMANAGER_ROOT.DIR_IMAGES.'lg_ibps-70.gif');  // Firmenlogo (Gre 50x50 bis 70x70 Pixel)

?>