<?php
include("includes/config_jobmanager_inc.php");
include("includes/jm_database_class.php");
include("includes/jm_lib.php");
include(DIR_INCLUDES_LANGUAGE.FILENAME_LANGUAGE);

$error = False;
$msg_output = "";
$date = date("Y-m-d");
getPostGetVars();

session_start();
if (check_session()) {
  $role_array = $HTTP_SESSION_VARS["s_role_array"];
}

// Verschiedene Sortiermglichkeiten
// Konvention: array("Text im Selectfeld","SQL-Sort-Statement");
$sort_option_array = array();
$sort_option_array [] = array("nach Erstellungsdatum","jm_job.erstellt");    // Sortiert nach Erstellungsdatum
$sort_option_array [] = array("nach Rubrik","jm_category.rubrik");             // Sortiert nach Rubriken (alphabetisch)
$sort_option_array [] = array("nach Jobbeszeichnung","jm_job.bezeichnung");  // Sortiert nach Jobbezeichnung (alphabetisch)
$sort_option_array [] = array("nach interner Jobnummer","jm_job.int_jobnr"); // Sortiert nach interner Jobnummer
$sort_option_array [] = array("nach Gruppe","jm_group.gruppe");             // Sortiert nach interner Jobnummer

if (empty($sent)) { $sortierung = "0"; }
$sort_str = make_sort_string($sortierung,$sort_option_array);
?>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML>
<HEAD>
<?php if (session_is_registered("s_msg_window_script")) { echo $HTTP_SESSION_VARS["s_msg_window_script"]; } ?>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="/jobmanager/schriften.css">
<TITLE><?php echo TITLE ?></TITLE>

<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
<!-- 
top.menue.change_menue_item(2);
//-->
</SCRIPT>

</HEAD>
<BODY BGCOLOR="#FFFFCC" LEFTMARGIN=0 TOPMARGIN=0 BACKGROUND="/jobmanager/images/hg_content.gif" <?php if (session_is_registered("s_msg_window_script")) { echo "onload='meldungsfenster();'"; session_unregister("s_msg_window_script");} ?>>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="550">
<TR>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=10 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=1 BORDER=0></TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="HeadBlauBig">Stellenangebote bearbeiten oder lschen</TD>
  <TD>&nbsp;</TD>
</TR>
<TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=25 BORDER=0></TD></TR>
<!-- Conten beginn -->
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="TextBlauFett">
<?php 
echo $sort_str;
list($db_query_obj,$error,$msg_output) = db_get_data("job","","","get_all",$sort_option_array[$sortierung][1],$error,$msg_output);
$i = 1;
?>
    <TABLE BORDER="0" CELLPADDING="1" CELLSPACING="0" WIDTH="520">
    <TR>
      <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=25 HEIGHT=1 BORDER=0></TD>
      <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=170 HEIGHT=1 BORDER=0></TD>
      <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=155 HEIGHT=1 BORDER=0></TD>
      <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=155 HEIGHT=1 BORDER=0></TD>
      <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=15 HEIGHT=1 BORDER=0></TD>
    </TR>
<?php
while ($zeile = $db_query_obj->db_fetch_array()) :
?>
    <TR VALIGN="top" BGCOLOR="#FFFF99">
      <TD CLASS="TextBlauFett" ALIGN="right"><?php echo $i ?>.&nbsp;</TD>
      <TD COLSPAN="2"><?php 
if ($role_array["edit_job"] == "y") {
  echo "<A HREF='./jm_job_edit.php?sent=edit&id=".$zeile['job_id']."' CLASS='TextBlauFett'>".$zeile['bezeichnung']."</A>";
} else {
    echo "<A HREF='./jm_job_edit_ro.php?id=".$zeile['job_id']."' CLASS='TextBlauFett'>".$zeile['bezeichnung']."</A>";
  }
?></TD>
      <TD CLASS="TextBlau">Interne Job-Nr.: <A NAME="<?php echo $zeile['int_jobnr'] ?>" CLASS="TextSchwarzHgWeiss"><?php echo $zeile['int_jobnr'] ?></A></TD>
<?php
  if ( ((($zeile['guelab'] <= $date) && ($zeile['guelbis'] >= $date)) || (($zeile['guelab'] <= $date) && ($zeile['guelbis'] == "0000-00-00")) || (($zeile['guelab'] == "0000-00-00") && ($zeile['guelbis'] >= $date)) || (($zeile['guelab'] == "0000-00-00") && ($zeile['guelbis'] == "0000-00-00"))) && ($zeile['publish'] == "y") ) {
    echo "<TD><IMG SRC='images/icon_checkbox_green.gif' WIDTH='13' HEIGHT='13' BORDER='0' ALT='online'></TD>";
  } else {
      echo "<TD><IMG SRC='images/icon_checkbox_red.gif' WIDTH='13' HEIGHT='13' BORDER='0' ALT='offline'></TD>";
      }
?>
    </TR>
    <TR BGCOLOR="#FFFF99"><TD COLSPAN="5"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=480 HEIGHT=4 BORDER=0></TD></TR>
    <TR VALIGN="top" BGCOLOR="#FFFF99">
      <TD>&nbsp;</TD>
      <TD CLASS='TextBlau'>Rubrik: <SPAN CLASS="TextSchwarzHgWeiss"><?php echo $zeile['rubrik'] ?></SPAN></TD>
      <TD CLASS='TextBlau'>Gruppe: <SPAN CLASS="TextSchwarzHgWeiss"><?php echo $zeile['gruppe'] ?></SPAN></TD>
      <TD CLASS='TextBlau'>Erstellt: <SPAN CLASS="TextSchwarzHgWeiss"><?php echo datum_konv($zeile['erstellt'],"html") ?></SPAN></TD>
      <TD>&nbsp;</TD>
    </TR>
    <TR BGCOLOR="#FFFF99"><TD COLSPAN="5"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=1 HEIGHT=5 BORDER=0></TD></TR>
    <TR><TD COLSPAN="5"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=1 HEIGHT=10 BORDER=0></TD></TR>
<?php
  ++$i;
  endwhile;
?>
    </TABLE>
  </TD>
  <TD>&nbsp;</TD>
</TR>
<!-- Conten ende -->
<TR>
  <TD>&nbsp;</TD>
  <TD><IMG SRC="/jobmanager/images/linie_blau.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD>&nbsp;</TD>
</TR>
<?php include("includes/jm_footer.php"); ?>
</TABLE>
</body>
</html>