<?php
include("includes/config_jobmanager_inc.php");
include("includes/jm_database_class.php");
include("includes/jm_lib.php");
include(DIR_INCLUDES_LANGUAGE.FILENAME_LANGUAGE);

$error = false;
$msg_output = "";
$rubrik_array = array();
$job_array = array();
getPostGetVars();

session_start();
if (check_session()) {
  $role_array = $HTTP_SESSION_VARS["s_role_array"];
}

list ($sql_strg,$table_strg,$title) = stat_init($sent,$month,$year);

//echo $sql_strg."<BR>";

$db_query_obj = new DB_connect;
if ($db_query_obj->db_link_id) {
  $db_query_obj->db_query($sql_strg);
  if ($db_query_obj->db_query_id) {
    if ($db_query_obj->db_num_rows() > 0) {
      $table_strg = stat_make_list($db_query_obj,$sent,$table_strg);
    } else {
       $table_strg = "Es wurden keine Daten bzgl. ".$title." in diesem Datumsbereich gefunden.";
      }
  } else {
      $error = True;
      $msg_output .= mysql_errno()."/".mysql_error();
    }
} else {
    $error = True;
    $msg_output .= mysql_errno()."/".mysql_error();
  }
$db_query_obj->db_close();

function stat_make_list($db_query_obj,$type,$table_strg) {
  $i = 0;
  while ($zeile = $db_query_obj->db_fetch_array()) {
    if ($zeile["count"] > 0) {
      if ($type == "job") {
        $table_strg .=  "<TR BGCOLOR='#FFFF99' VALIGN='top'>\n<TD CLASS='TextBlauFett'>".++$i.".</TD>\n<TD CLASS='TextBlau'>".$zeile["job_int_nr"]."</TD>\n<TD CLASS='TextBlau'>".$zeile["job_name"]."</TD>\n<TD CLASS='TextBlau' ALIGN='right'>".$zeile["count"]."</TD>\n</TR>\n";
      }
      if ($type == "category") {
        $table_strg .=  "<TR BGCOLOR='#FFFF99' VALIGN='top'>\n<TD CLASS='TextBlauFett'>".++$i.".</TD>\n<TD CLASS='TextBlau'>".$zeile["category_name"]."</TD>\n<TD CLASS='TextBlau' ALIGN='right'>".$zeile["count"]."</TD>\n</TR>\n";
      }
      if ($type == "group") {
        $table_strg .=  "<TR BGCOLOR='#FFFF99' VALIGN='top'>\n<TD CLASS='TextBlauFett'>".++$i.".</TD>\n<TD CLASS='TextBlau'>".$zeile["group_name"]."</TD>\n<TD CLASS='TextBlau' ALIGN='right'>".$zeile["count"]."</TD>\n</TR>\n";
      }
      if ($type == "region") {
        $table_strg .=  "<TR BGCOLOR='#FFFF99' VALIGN='top'>\n<TD CLASS='TextBlauFett'>".++$i.".</TD>\n<TD CLASS='TextBlau'>".$zeile["region_name"]."</TD>\n<TD CLASS='TextBlau' ALIGN='right'>".$zeile["count"]."</TD>\n</TR>\n";
      }
    }
  }
  $table_strg .= "</TABLE></TD></TR></TABLE>";
  return ($table_strg);
}

function stat_init($type,$month,$year) {
  $table_strg = "<TABLE CELLPADDING='0' CELLSPACING='0' BORDER='0' BGCOLOR='#0434B1' WIDTH='100%'>\n<TR>\n<TD>\n<TABLE CELLPADDING='3' CELLSPACING='1' BORDER='0' WIDTH='100%'>";
  switch ($type) {
    case "job":
      $title = "Stellenangebote";
      $sql_strg = "SELECT DISTINCT jm_jobstats.*,COUNT(jm_jobstats.job_id) AS count FROM jm_jobstats WHERE (substring(jm_jobstats.date,1,4) = '".$year."') AND (substring(jm_jobstats.date,5,2) = '".$month."') GROUP BY jm_jobstats.job_name ORDER BY count DESC,jm_jobstats.job_name ASC;";
      $table_strg .= " <TR BGCOLOR='#FFFF99'>\n<TD></TD>\n<TD CLASS='TextBlauFett'>interne Job-Nr.</TD>\n<TD CLASS='TextBlauFett'>Stellenbezeichnung</TD>\n<TD CLASS='TextBlauFett'>Aufrufe</TD>\n</TR>\n";
      break;
    case "category":
      $title = "Rubriken";
      $sql_strg = "SELECT DISTINCT jm_jobstats.*,COUNT(jm_jobstats.category_id) AS count FROM jm_jobstats WHERE (substring(jm_jobstats.date,1,4) = '".$year."') AND (substring(jm_jobstats.date,5,2) = '".$month."') GROUP BY jm_jobstats.category_name ORDER BY count DESC,jm_jobstats.category_name ASC;";
      $table_strg .= " <TR BGCOLOR='#FFFF99'>\n<TD></TD>\n<TD CLASS='TextBlauFett'>Rubrik</TD>\n<TD CLASS='TextBlauFett'>Aufrufe</TD>\n</TR>\n";
      break;
    case "group":
      $title = "Gruppen";
      $sql_strg = "SELECT DISTINCT jm_jobstats.*,COUNT(jm_jobstats.group_id) AS count FROM jm_jobstats WHERE (substring(jm_jobstats.date,1,4) = '".$year."') AND (substring(jm_jobstats.date,5,2) = '".$month."') GROUP BY jm_jobstats.group_name ORDER BY count DESC,jm_jobstats.group_name ASC;";
      $table_strg .= " <TR BGCOLOR='#FFFF99'>\n<TD></TD>\n<TD CLASS='TextBlauFett'>Gruppe</TD>\n<TD CLASS='TextBlauFett'>Aufrufe</TD>\n</TR>\n";
      break;
    case "region":
      $title = "Regionen";
      $sql_strg = "SELECT DISTINCT jm_jobstats.*,COUNT(jm_jobstats.region_id) AS count FROM jm_jobstats WHERE (substring(jm_jobstats.date,1,4) = '".$year."') AND (substring(jm_jobstats.date,5,2) = '".$month."') GROUP BY jm_jobstats.region_name ORDER BY count DESC,jm_jobstats.region_name ASC;";
      $table_strg .= " <TR BGCOLOR='#FFFF99'>\n<TD></TD>\n<TD CLASS='TextBlauFett'>Region</TD>\n<TD CLASS='TextBlauFett'>Aufrufe</TD>\n</TR>\n";
      break;
  }
  return array($sql_strg,$table_strg,$title);
}

?>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<?php if (session_is_registered("s_msg_window_script")) { echo $HTTP_SESSION_VARS["s_msg_window_script"]; } ?>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="/jobmanager/schriften.css">
<TITLE><?php echo TITLE ?></TITLE>
</head>
<body bgcolor="#FFFFCC" LEFTMARGIN=0 TOPMARGIN=0 BACKGROUND="/jobmanager/images/hg_content.gif">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="550">
<TR>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=10 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=1 BORDER=0></TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="HeadBlauBig">Zugriffs-Statistik - <?php echo $title ?></TD>
  <TD>&nbsp;</TD>
</TR>
<TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=25 BORDER=0></TD></TR>
<TR>
  <TD></TD>
  <TD CLASS="TextBlauFett"><SPAN CLASS="HeadBlauBig">Monat: <?php echo get_name_of_month($month)."&nbsp;".$year; ?></SPAN><P>
  <?php echo $table_strg; ?>  
    <BR><BR>
  </TD>
  <TD></TD>
</TR>
<TR>
  <TD></TD>
  <TD BGCOLOR="#FFFF99">
    <TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0' WIDTH='100%'>
    <TR>
      <TD ALIGN="left"><A HREF="./jm_stat_overview.php"><IMG SRC='/jobmanager/images/button_zurueck.gif' WIDTH='65' HEIGHT='25' BORDER='0'></A></TD>
      <TD></TD>
    </TR>
    </TABLE>
  </TD>
  <TD></TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD><IMG SRC="/jobmanager/images/linie_blau.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD>&nbsp;</TD>
</TR>
<?php include("includes/jm_footer.php"); ?>
</TABLE>
</body>
</html>