<?php
include("includes/config_jobmanager_inc.php");
include("includes/jm_database_class.php");
include("includes/jm_filehandle_class.php");
include("includes/jm_lib.php");
include(DIR_INCLUDES_LANGUAGE.FILENAME_LANGUAGE);

$error = 0;
$msg_output = "";
$year_array = array();
getPostGetVars();

session_start();
if (check_session()) {
  $role_array = $HTTP_SESSION_VARS["s_role_array"];
}

if ($sent == "csv") {
  $csvData = "Abruf-Id;Job-Id;Interne Jobnummer;Jobname;Rubrik-Id;Rubrikname;Aufrufdatum;Gruppen-Id;Gruppenname;Region-Id;Region\n";
  $db_query_obj = new DB_connect;
  if (! $db_query_obj->db_error) {
    $db_query_obj->db_query("SELECT *, DATE_FORMAT(date,'%d.%m.%Y %H:%i:%s') AS date FROM jm_jobstats WHERE (substring(date,1,4) = '".$year."') AND (substring(date,5,2) = '".$month."');");
    $db_table_header_array = $db_query_obj->db_get_table_header();

    if (! $db_query_obj->db_error) {
      while ($db_row = $db_query_obj->db_fetch_array()) {
        $csvDataRow = "";
        reset($db_table_header_array);
        while (list($key,$value) = each($db_table_header_array)) {
          $csvDataRow .= preg_replace("/[\r\n]/m","",$db_row[$value]).";";
        }
      $csvData .= substr($csvDataRow,0,-1)."\n";
      }
    }
  }
  if (! $db_query_obj->db_error) {
    if (writeData($month, $year, $csvData)) {
      delStatDbEntries($db_query_obj, $month, $year, $error, $msg_output);
    }
  } else {
      $error = True;
      $msg_output .= $db_query_obj->db_error_msg;
      session_register("s_msg_window_script");
      $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
    }
}

// Daten fr Anzeige holen
$db_query_obj = new DB_connect;
if (! $db_query_obj->db_error) {
  $db_query_obj->db_query("SELECT date FROM jm_jobstats;");
  if (! $db_query_obj->db_error) {
    while ($row = $db_query_obj->db_fetch_array()) {
      $y = substr($row["date"],0,4);
      $m = substr($row["date"],4,2);
      if (isset($year_array[$y])) {
        if (!in_array($m,$year_array[$y])) { $year_array[$y][] = $m; }
      } else {
          $year_array[$y][] = $m;
        }
    }
  }
}
if ($db_query_obj->db_error) {
  $error = True;
  $msg_output .= $db_query_obj->db_error_msg;
  session_register("s_msg_window_script");
  $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
}
$db_query_obj->db_close();

function writeData($month, $year, $csvData, &$error, &$msg_output) {
  global $HTTP_SESSION_VARS;
  $fh_obj = new Filehandle("jm_stat_".$year."_".$month.".csv",DIR_STAT_FILES);
  $fh_obj->fh_open_file("w");
  if (! $fh_obj->fh_error) {
    $fh_obj->fh_write_data($csvData);
    $fh_obj->fh_close_file();
    return true;
  } else {
      if ($fh_obj->fh_file_exists()) { $fh_obj->fh_del_file(); }
      $error = true;
      $msg_output .= "Der Export ist Fehlgeschlagen. Folgender Fehler ist aufgetreten: \"".$fh_obj->fh_error_msg."\"";
      session_register("s_msg_window_script");
      $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
      return false;
    }
}

function getDir($dir) {
  $dh = opendir($dir);
  if ($dh) {
    while ($file = readdir($dh)) {
      if (($file != ".") && ($file != "..") && (stristr($file,"jm_stat_"))) { $dir_array[] = $file; }
    }
  }
  closedir($dh);
  return $dir_array;
}

function delStatDbEntries($db_query_obj, $m, $y, &$error, &$msg_output) {
  $db_query_obj->db_query("DELETE FROM jm_jobstats WHERE (substring(date,1,4) = '".$y."') AND (substring(date,5,2) = '".$m."');");
  if ($db_query_obj->db_error) {
    $error = True;
    $msg_output .= "Die Daten konnten nicht aus der Datenbank gelscht werden. ";
  }
}
?>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML>
<HEAD>
<?php if (session_is_registered("s_msg_window_script")) { echo $HTTP_SESSION_VARS["s_msg_window_script"]; } ?>
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
<!-- 
top.menue.change_menue_item(3);
//-->
</SCRIPT>

<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK rel="STYLESHEET" type="text/css" href="/jobmanager/schriften.css">
<TITLE><?php echo TITLE ?></TITLE>
</HEAD>
<body bgcolor="#FFFFCC" LEFTMARGIN=0 TOPMARGIN=0 BACKGROUND="/jobmanager/images/hg_content.gif" <?php if (session_is_registered("s_msg_window_script")) { echo "onLoad='meldungsfenster();'"; session_unregister("s_msg_window_script");} ?>>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="550">
<TR>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=10 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=1 BORDER=0></TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="HeadBlauBig">Zugriffs-Statistik</TD>
  <TD>&nbsp;</TD>
</TR>
<TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=25 BORDER=0></TD></TR>
<TR>
  <TD></TD>
  <TD CLASS="TextBlau">
    <SPAN CLASS="HeadBlauBig">Monatsbersicht:</SPAN><BR>
	<TABLE CELLPADDING="3" CELLSPACING="0" BORDER="0">
<?php
  if (count($year_array) == 0)  {
    echo "<TR><TD COLSPAN='10'><IMG SRC='/images/leer.gif' WIDTH=20 HEIGHT=10 BORDER=0></TD></TR>
          <TR><TD COLSPAN='10' CLASS='TextSchwarzFett'>Es sind (noch) keine Statistik-Daten in der Datenbank vorhanden !!</TD></TR>\n";
  } else {
      while (list($key) = each($year_array)) {
        sort($year_array[$key]);
	    echo "<TR><TD COLSPAN='10'><IMG SRC='/images/leer.gif' WIDTH=20 HEIGHT=20 BORDER=0></TD></TR>\n";
        for ($i=0; $i<count($year_array[$key]); $i++) {
	      $m = $year_array[$key][$i];
          echo "<TR BGCOLOR='#FFFF99'><TD COLSPAN='10' CLASS='TextBlauFett'>&nbsp;".get_name_of_month($m)." ".$key."</TD></TR>
    <TR BGCOLOR='#FFFF99'>
      <TD CLASS='TextBlau'>&nbsp;<IMG SRC='/jobmanager/images/bullet_navi_aus.gif' WIDTH='7' HEIGHT='15' BORDER='0'></TD>
      <TD CLASS='TextBlau'><A HREF='jm_stat_detailview.php?year=".$key."&month=".$m."&sent=job' CLASS='TextBlau'>Stellenangebote</A></TD>
      <TD CLASS='TextBlau'>&nbsp;&nbsp;<IMG SRC='/jobmanager/images/bullet_navi_aus.gif' WIDTH='7' HEIGHT='15' BORDER='0'></TD>
      <TD CLASS='TextBlau'><A HREF='jm_stat_detailview.php?year=".$key."&month=".$m."&sent=category' CLASS='TextBlau'>Rubriken</A></TD>
      <TD CLASS='TextBlau'>&nbsp;&nbsp;<IMG SRC='/jobmanager/images/bullet_navi_aus.gif' WIDTH='7' HEIGHT='15' BORDER='0'></TD>
      <TD CLASS='TextBlau'><A HREF='jm_stat_detailview.php?year=".$key."&month=".$m."&sent=group' CLASS='TextBlau'>Gruppen</A></TD>
      <TD CLASS='TextBlau'>&nbsp;&nbsp;<IMG SRC='/jobmanager/images/bullet_navi_aus.gif' WIDTH='7' HEIGHT='15' BORDER='0'></TD>
      <TD CLASS='TextBlau'><A HREF='jm_stat_detailview.php?year=".$key."&month=".$m."&sent=region' CLASS='TextBlau'>Regionen</A></TD>
      <TD><IMG SRC='/images/leer.gif' WIDTH='50' HEIGHT='1' BORDER='0'></TD>";
          if ((date("Y") == $y) && (date("m") == $m)) {
            echo "<TD>&nbsp;</TD>";
          } else {
              echo "<TD BGCOLOR='#0074C5'><A HREF=\"javascript:if (confirm('ACHTUNG !!\\nEs werden alle Daten von diesem Monat nach dem Export gelscht!')) { location.href='".$HTTP_SERVER_VARS["PHP_SELF"]."?year=".$key."&month=".$m."&sent=csv';}\" CLASS='TextWeissFett'>CSV-Export</A>&nbsp;</TD>";
            }
          echo "</TR><TR><TD COLSPAN='10'><IMG SRC='/images/leer.gif' WIDTH='20' HEIGHT='10' BORDER='0'></TD></TR>";
	    }
      }
    }
?>
    </TABLE>
    <P>
    <SPAN CLASS="HeadBlauBig">Statistikfiles zum Download:</SPAN>
    <P>
    <TABLE CELLPADDING="3" CELLSPACING="0" BORDER="0">
    <?php
    $dir_array = getDir(DIR_STAT_FILES);
    if (count($dir_array) == 0) {
      echo "<TR><TD COLSPAN='4'><IMG SRC='/images/leer.gif' WIDTH='20' HEIGHT='10' BORDER='0'></TD></TR>
            <TR><TD COLSPAN='4' CLASS='TextSchwarzFett'>Es sind keine Dateien zum Download vorhanden !!</TD></TR>";
    }
    for ($i = 0; $i < count($dir_array); ++$i) {
      echo "<TR BGCOLOR='#FFFF99'>
      <TD ALIGN='right' CLASS='TextBlauFett'>".($i+1).".</TD>
      <TD CLASS='TextBlauFett'><A HREF='".DIR_STAT_FILES.$dir_array[$i]."' CLASS='TextBlauFett'>".$dir_array[$i]."</TD>
      <TD>&nbsp;&nbsp;</TD>
    </TR>
    <TR><TD COLSPAN='4'><IMG SRC='/images/leer.gif' WIDTH='20' HEIGHT='10' BORDER='0'></TD></TR>";
    }
    ?>
    </TABLE>
    <BR><BR>
  </TD>
  <TD></TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD><IMG SRC="/jobmanager/images/linie_blau.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD>&nbsp;</TD>
</TR>
<?php include("includes/jm_footer.php"); ?>
</TABLE>
</body>
</html>