<?php
include("includes/config_jobmanager_inc.php");
include("includes/jm_database_class.php");
include("includes/jm_lib.php");
include(DIR_INCLUDES_LANGUAGE.FILENAME_LANGUAGE);

$error = False;
$msg_output = "";
getPostGetVars();

session_start();
if (check_session()) {
  $role_array = $HTTP_SESSION_VARS["s_role_array"];
}

if (!empty($sent)) {
  if (($sent == 'edit') || ($sent == 'new')) {
   $content_strg = user_bearbeiten($sent,$data_array);
  }
  if ($sent == "delete") {
    list($db_query_obj,$error,$msg_output) = db_get_data("user",$data_array["id"],"",$sent,"",$error,$msg_output);
    if ($error) {
      $content_strg = user_bearbeiten($sent,$data_array);
    } else {
        session_register("s_msg_window_script");
        $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
        header("Location:http://".HTTP_SERVER.DIR_JOBMANAGER_ROOT."jm_user_list.php");
        exit;
      }
  }
  if (($sent == "insert") || ($sent == "update")) {
    list ($error, $msg_output, $data_array) = daten_pruefen($error,$msg_output,$sent,$data_array);
    if (!$error) {
      while (list($key,$value) = each($data_array)) {
        $update_strg .= $key."='".$value."',";
      }
      $update_strg = substr ($update_strg,0,strlen($update_strg)-1);
      list($db_query_obj,$error,$msg_output) = db_get_data("user",$data_array["id"],$update_strg,$sent,"",$error,$msg_output);
      if ($sent == "insert") { $insert_id = $db_query_obj->db_insert_id(); }
    }
    if ((!$error) && ($sent == "insert")) {
      $sent = "edit";
      $data_array["id"] = $insert_id;
    }
    $content_strg = user_bearbeiten($sent,$data_array);
    session_register("s_msg_window_script");
    $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
  }
}

function userrollen_holen () {
  list($db_query_obj,$error,$msg_output) = db_get_data("role","","","get_all","",$error,$msg_output);
  while ($zeile = $db_query_obj->db_fetch_array()) {
    $userrolle[$zeile['name']] = $zeile['id'];
  }
  return $userrolle;
}

function daten_pruefen($error,$msg_output,$sent,$data_array) {
  if ((!isset($data_array["user"])) || (empty($data_array["user"]))) {
    $error = True;
    $msg_output .= "<LI>Benutzer Login eintragen";
  }
  if ($sent != "update") {
    list($db_query_obj,$error,$msg_output) = db_get_data("user",$data_array["user"],"","get_by_username","",$error,$msg_output);
    if ($db_query_obj->db_num_rows() != 0) {
      $error = True;
      $msg_output .= "<LI>der Benutzername existiert schon. Bitte whlen Sie einen anderen aus.";
      unset ($data_array["user"]);
    }
  }
  if (((isset($data_array["passwort_1"])) || (isset($data_array["passwort_2"]))) && ((!empty($data_array["passwort_1"])) || (!empty($data_array["passwort_2"])))) {
    if (preg_match("/\w{5}/",$data_array["passwort_1"])) {
      if ($data_array["passwort_1"] == $data_array["passwort_2"]) {
        $data_array["passwort"] = $data_array["passwort_1"];
        unset ($data_array["passwort_1"]);
        unset ($data_array["passwort_2"]);
      } else {
          $error = True;
          $msg_output .= "<LI>beide Kennwrter mssen gleich sein";
        }
    } else {
        $error = True;
        $msg_output .= "<LI>das Kennwort mu mehr als 5 Zeichen beinhalten";
      }
  } else {
      $error = True;
      $msg_output .= "<LI>beide Kennwortfelder ausfllen";
    }
  if (!isset($data_array["role_id"])) {
    $error = True;
    $msg_output .= "<LI>Berechtigungstyp auswhlen";
  }
  if ($error) {
    $data_array["passwort"] = "";
  }
  return array($error,$msg_output,$data_array);
}

function user_bearbeiten($typ,$data_array) {
  global $HTTP_SERVER_VARS,$role_array;
  if (($typ != "new") && ($typ != "insert")) {
    list($db_query_obj,$error,$msg_output) = db_get_data("user",$data_array['id'],"","get_by_id","",$error,$msg_output);
    $data_array = $db_query_obj->db_fetch_array();
    $content_strg .= "Benutzer bearbeiten:<BR><BR>\n";
  } else {
     $content_strg .= "Benutzer neu anlegen:<BR><BR>\n";
    }
  $userrollen = userrollen_holen();

  $content_strg .= "<FORM ACTION='".$HTTP_SERVER_VARS["PHP_SELF"]."' METHOD='POST' NAME='b_form'>\n<INPUT TYPE='Hidden' NAME='sent' VALUE=''>\n";
  if ($typ != "new") {
    $content_strg .= "<INPUT TYPE='HIDDEN' NAME='data_array[id]' VALUE='".$data_array['id']."'>";
  }
  $content_strg .= "<TABLE BORDER='0' CELLPADDING='2' CELLSPACING='0'>
<TR>
  <TD BGCOLOR='#FFFF99' CLASS='TextSchwarz' WIDTH='120'>Benutzer Login:</TD>
  <TD WIDTH='10'>&nbsp;</TD>
  <TD BGCOLOR='#FFFF99' WIDTH='400'><INPUT TYPE='Text' NAME='data_array[user]' VALUE='".$data_array['user']."'></TD>
</TR>
<TR><TD COLSPAN='3'><IMG SRC='/jobmanager/images/leer.gif' WIDTH=20 HEIGHT=5 BORDER=0></TR>
<TR>
  <TD BGCOLOR='#FFFF99' CLASS='TextSchwarz'>Kennwort:</TD>
  <TD WIDTH='10'>&nbsp;</TD>
  <TD BGCOLOR='#FFFF99'><INPUT TYPE='password' NAME='data_array[passwort_1]' VALUE='".$data_array['passwort']."' SIZE='20' MAXLENGTH='255'></TD>
</TR>
<TR><TD COLSPAN='3'><IMG SRC='/jobmanager/images/leer.gif' WIDTH=20 HEIGHT=5 BORDER=0></TR>
<TR>
  <TD BGCOLOR='#FFFF99' CLASS='TextSchwarz'>Kennwort (Wdh.)</TD>
  <TD WIDTH='10'>&nbsp;</TD>
  <TD BGCOLOR='#FFFF99'><INPUT TYPE='password' NAME='data_array[passwort_2]' VALUE='".$data_array['passwort']."' SIZE='20' MAXLENGTH='255'></TD>
</TR>
<TR><TD COLSPAN='3'><IMG SRC='/jobmanager/images/leer.gif' WIDTH=20 HEIGHT=15 BORDER=0></TR>
<TR>
  <TD BGCOLOR='#FFFF99' CLASS='TextSchwarz'>Benutzername:</TD>
  <TD WIDTH='10'>&nbsp;</TD>
  <TD BGCOLOR='#FFFF99'><INPUT TYPE='Text' NAME='data_array[name]' VALUE='".$data_array['name']."' SIZE='35' MAXLENGTH='255'></TD>
</TR>
<TR><TD COLSPAN='3'><IMG SRC='/jobmanager/images/leer.gif' WIDTH=20 HEIGHT=5 BORDER=0></TR>
<TR>
  <TD BGCOLOR='#FFFF99' CLASS='TextSchwarz'>Beschreibung:</TD>
  <TD WIDTH='10'>&nbsp;</TD>
  <TD BGCOLOR='#FFFF99'><INPUT TYPE='Text' NAME='data_array[beschreibung]' VALUE='".$data_array['beschreibung']."' SIZE='35' MAXLENGTH='255'></TD>
</TR>
<TR><TD COLSPAN='3'><IMG SRC='/jobmanager/images/leer.gif' WIDTH=20 HEIGHT=5 BORDER=0></TR>
<TR VALIGN='top'>
  <TD BGCOLOR='#FFFF99' CLASS='TextSchwarz'>Berechtigungstyp:</TD>
  <TD WIDTH='10'>&nbsp;</TD>
  <TD BGCOLOR='#FFFF99' CLASS='TextSchwarz'>
";

while (list ($key,$value)= each($userrollen)) {
  $content_strg .= "<INPUT TYPE='Radio' NAME='data_array[role_id]' VALUE='".$userrollen[$key]."'";
  if ($userrollen[$key] == $data_array['role_id']) { 
   $content_strg .= " CHECKED";
  }
  $content_strg .= ">&nbsp;&nbsp;".$key."<BR>\n";
}

$content_strg .= "</TD>
</TR>
<TR><TD COLSPAN='3'><IMG SRC='/jobmanager/images/leer.gif' WIDTH=20 HEIGHT=5 BORDER=0></TR>
<TR>
  <TD BGCOLOR='#FFFF99' CLASS='TextSchwarz'>Letzter-Login:</TD>
  <TD WIDTH='10'>&nbsp;</TD>
  <TD BGCOLOR='#FFFF99' CLASS='TextSchwarz'>
";
if (!empty($data_array['last_login'])) { 
  $content_strg .= datum_konv($data_array['last_login'],'html');
} else {
    $content_strg .= "noch nie";
  }
$content_strg .= "</TD>
</TR>
<TR><TD COLSPAN='3'><IMG SRC='/jobmanager/images/leer.gif' WIDTH='1' HEIGHT='20' BORDER=0></TR>
";
if (($typ != "new") && ($typ != "insert")) {
  $content_strg .= "
<TR>
  <TD BGCOLOR='#FFFF99' COLSPAN='3'>
    <TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0' WIDTH='100%'>
    <TR>
      <TD ALIGN='left'><A HREF='./jm_user_list.php'><IMG SRC='/jobmanager/images/button_zurueck.gif' WIDTH='65' HEIGHT='25' BORDER='0'></A></TD>
      <TD ALIGN='right'>";
  if ($role_array["del_admin"] == "y") {
  $content_strg .= "<A HREF=\"javascript: void(document.b_form.sent.value = 'delete'); if (confirm('Wollen Sie den Benutzer wirklich lschen?')) document.b_form.submit();\"><IMG SRC='/jobmanager/images/button_loeschen.gif' BORDER='0'></A>";
  }
  $content_strg .= "&nbsp;&nbsp;<A HREF=\"javascript: document.b_form.sent.value = 'update'; document.b_form.submit();\"><IMG SRC='/jobmanager/images/button_uebernehmen.gif' BORDER='0'></A></TD>
    </TR>
    </TABLE>
  </TD>
</TR>
  ";
} else {
   $content_strg .= "
<TR>
  <TD BGCOLOR='#FFFF99' COLSPAN='3'>
    <TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0' WIDTH='100%'>
    <TR>
      <TD ALIGN='left'><A HREF='./jm_user_list.php'><IMG SRC='/jobmanager/images/button_zurueck.gif' WIDTH='65' HEIGHT='25' BORDER='0'></A></TD>
      <TD ALIGN='right'><INPUT TYPE='Image' SRC='/jobmanager/images/button_uebernehmen.gif' onClick=\"document.b_form.sent.value = 'insert';\"></TD>
    </TR>
    </TABLE>
  </TD>
</TR>
  ";
  }
$content_strg .= "</TABLE>\n</FORM>";
return $content_strg;
}
?>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<?php if (session_is_registered("s_msg_window_script")) { echo $HTTP_SESSION_VARS["s_msg_window_script"]; } ?>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="/jobmanager/schriften.css">
<TITLE><?php echo TITLE ?></TITLE>
</head>
<body bgcolor="#FFFFCC" LEFTMARGIN=0 TOPMARGIN=0 BACKGROUND="/jobmanager/images/hg_content.gif" <?php if (session_is_registered("s_msg_window_script")) { echo "onload='meldungsfenster();'"; session_unregister("s_msg_window_script");} ?>>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="550">
<TR>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=10 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=1 BORDER=0></TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="HeadBlauBig">Benutzermanagement</TD>
  <TD>&nbsp;</TD>
</TR>
<TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=25 BORDER=0></TD></TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="TextBlauFett"><?php echo $content_strg; ?></TD>
  <TD>&nbsp;</TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD><IMG SRC="/jobmanager/images/linie_blau.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD>&nbsp;</TD>
</TR>
<?php include("includes/jm_footer.php"); ?>
</TABLE>
</body>
</html>