<?php
class Filehandle {

  var $fh_id;
  var $fh_wdir;
  var $fh_target_dir;
  var $fh_filename;
  var $fh_error = false;
  var $fh_error_msg = "";


  function Filehandle($filename,$dir) {
    $this->fh_filename = $filename;
    $this->fh_target_dir = $dir;
    $this->fh_wdir = getcwd();
  }

  function fh_open_file($option) {
    if ($this->fh_target_dir == "") { 
      $this->fh_id = @fopen($this->fh_filename,$option);
    } else {
        $this->fh_id = @fopen($this->fh_target_dir.$this->fh_filename,$option);
      }
    if (! $this->fh_id) {
      $this->fh_error = true;
      $this->fh_error_msg = "Fehler beim ffnen der Datei. ";
    }
  }

  function fh_write_data($fh_data) {
    $fh_success = fwrite($this->fh_id, $fh_data);
    if (!$fh_success) {
      $this->fh_error = true;
      $this->fh_error_msg = "Fehler beim Schreiben in Datei. ";
    }
  }

  function fh_read_data() {
    $fh_data = "";
    while (!feof($this->fh_id)) {
      $fh_data .= fgets($this->fh_id, 4096);
    }
    return $fh_data;
  }

  function fh_del_file() {
    if (! @unlink($this->fh_target_dir.$this->fh_filename)) {
      $this->fh_error = true;
      $this->fh_error_msg = "Datei konnte nicht gelscht werden. ";
    }
  }

  function fh_file_exists() {
    $fh_result = file_exists($this->fh_target_dir.$this->fh_filename);
    clearstatcache();
    return $fh_result;
  }

  function fh_close_file() {
    fclose($this->fh_id);
  }

}
?>