<?php

function browser_check() {
  global $HTTP_SERVER_VARS;
  // NS 4.xx detection
  if (eregi('Mozilla/4.',$HTTP_SERVER_VARS["HTTP_USER_AGENT"]) && (!eregi('MSIE',$HTTP_SERVER_VARS["HTTP_USER_AGENT"]))) {
    $browser_id = "NS4";
  }
  // NS 6.xx detection
  if (eregi('Gecko.',$HTTP_SERVER_VARS["HTTP_USER_AGENT"]) && (!eregi('MSIE',$HTTP_SERVER_VARS["HTTP_USER_AGENT"])) && (!eregi('Opera',$HTTP_SERVER_VARS["HTTP_USER_AGENT"]))) {
    $browser_id = "NS6";
  }
  // IE detection
  if (eregi('MSIE.',$HTTP_SERVER_VARS["HTTP_USER_AGENT"]) && (!eregi('Opera',$HTTP_SERVER_VARS["HTTP_USER_AGENT"])) && (!eregi('Gecko',$HTTP_SERVER_VARS["HTTP_USER_AGENT"]))) {
    $browser_id = "IE";
  }
  // Opera detection
  if (eregi('Opera.',$HTTP_SERVER_VARS["HTTP_USER_AGENT"]) && (!eregi('Mozilla/4',$HTTP_SERVER_VARS["HTTP_USER_AGENT"])) && (!eregi('Gecko',$HTTP_SERVER_VARS["HTTP_USER_AGENT"]))) {
    $browser_id = "OP";
  }
  return $browser_id;
}

function check_session () {
  global $HTTP_SESSION_VARS;
  if (! session_is_registered("s_user_id")) {
    session_destroy();
    header("Location:http://".HTTP_SERVER.DIR_JOBMANAGER_ROOT."jm_error.php");
    exit;
  }
  if ($HTTP_SESSION_VARS["s_user_login_time"]+(TIMEOUT*60) > time()) {
    $HTTP_SESSION_VARS["s_user_login_time"] = time();
    $db_query_obj = new DB_connect();
    $db_query_obj->db_query("UPDATE jm_user SET last_action=NOW() WHERE user = '".$HTTP_SESSION_VARS["s_user_id"]."';");
    $db_query_obj->db_close();
  } else {
      $HTTP_SESSION_VARS["s_timeout"] = True;
      header("Location:http://".HTTP_SERVER.DIR_JOBMANAGER_ROOT.FILENAME_JM_START);
      exit;
    }
  return true;
}

function getPostGetVars() {
  global $HTTP_POST_VARS,$HTTP_GET_VARS;
  foreach ($HTTP_POST_VARS as $key => $value) {
    global $$key;
    $$key = $value;
  }
  foreach ($HTTP_GET_VARS as $key => $value) {
    global $$key;
    $$key = $value;
  }
}

function check_datum($datum) {
  if (!empty($datum)) {
    list ($tag,$monat,$jahr) = explode(".",$datum);
    if ($jahr < 100) { $jahr += 2000; }
    if (checkdate($monat,$tag,$jahr)) {
      return true;
    } else {
        return false;
	  }
  } else {
      return true;
	}
}

function check_date($date) {
  if (!empty($date)) {
    list ($day,$month,$year) = explode(".",$date);
    if ($year < 100) $year += 2000;
    if (checkdate($month,$day,$year)) {
      return array($day.".".$month.".".$year,true);
    } else {
        return array("",false);
	  }
  } else {
      return array("",true);
	}
}


function datum_konv($datum,$art) {
  if ($datum != "0000-00-00") {
    switch ($art) {
      case "html": 
	    $datum = preg_replace ("/(19|20)(\d{2})-(\d{1,2})-(\d{1,2})/", "\\4.\\3.\\1\\2",$datum);
	    break;
  	  case "db":
	    $datum = preg_replace ("/(\d{1,2})\.(\d{1,2})\.(19|20)(\d{2})/", "\\3\\4-\\2-\\1",$datum);
	    break;
	  case "html+zeit":
	    $datum = preg_replace ("/(19|20)(\d{2})(\d{1,2})(\d{1,2})(\d{1,2})(\d{1,2})(\d{1,2})/", "\\4.\\3.\\1\\2 \\5:\\6:\\7",$datum);
	    break;
    }
  } else { return "";}
  return $datum;
}

function get_name_of_month($month) {
  $month_array = array("Januar","Februar","Mrz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember");
  return $month_array[$month-1];
}

function make_msg_window($error,$msg_output) {
  $script_strg = "
<SCRIPT LANGUAGE=\"JavaScript\">
<!--
function Fensterweite() {
 if (window.innerWidth) return window.innerWidth;
 else if (document.body && document.body.offsetWidth) return document.body.offsetWidth;
 else return 0;
}

function Fensterhoehe() {
 if (window.innerHeight) return window.innerHeight;
 else if (document.body && document.body.offsetHeight) return document.body.offsetHeight;
 else return 0;
}

function meldungsfenster() {
var infowin = null;
var w = 270;
var h = 200;
var posx = Fensterweite();
var posy = Fensterhoehe();
var winl = (posx-w)/2;
var wint = (posy-h)/2;
var settings  = 'height='+h+',width='+w+',top='+wint+',left='+winl;
infowin = window.open('', 'infofenster', 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, copyhistory=no,' + settings);
doc = infowin.document;
doc.close(); 
doc.open();
if(parseInt(navigator.appVersion) >= 4) { 
  infowin.window.focus(); 
} else { 
   infowin.focus(); 
  }
doc.write('<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\"><HTML><HEAD><META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=iso-8859-1\"><link rel=\"STYLESHEET\" type=\"text/css\" href=\"/jobmanager/schriften.css\"><TITLE>Info-Fenster</TITLE></HEAD><BODY BACKGROUND=\"/jobmanager/images/hg_navigation.gif\" LEFTMARGIN=0 TOPMARGIN=0 MARGINHEIGHT=0 MARGINWIDTH=0><TABLE BORDER=0 HEIGHT=100% ALIGN=\"center\" CELLPADDING=0 CELLSPACING=0><TR VALIGN=\"top\"><TD><BR><TABLE BORDER=0 WIDTH=250 CELLPADDING=0 CELLSPACING=0>');";

  if ($error) {
    $script_strg .= "doc.write('<TR><TD COLSPAN=3 ALIGN=\"center\" BGCOLOR=\"#FF0000\"><FONT FACE=\"Arial, Helvetica,Sans-serif\" SIZE=\"5\" COLOR=\"#FFFFFF\"><B>Fehler</B></FONT></TD></TR>');\n";
  } else {
       $script_strg .= "doc.write('<TR><TD COLSPAN=3 ALIGN=\"center\" BGCOLOR=\"#00FF00\"><FONT FACE=\"Arial, Helvetica,Sans-serif\" SIZE=\"5\" COLOR=\"#000000\"><B>Fertig</B></FONT></TD></TR>');\n";
    }
  $script_strg .= "doc.write('<TR><TD COLSPAN=3>&nbsp;</TD></TR><TR><TD WIDTH=10>&nbsp;</TD><TD CLASS=\"TextBlauFett\">".preg_replace("/'/","\"",$msg_output)."</TD><TD WIDTH=10>&nbsp;</TD></TR><TR><TD COLSPAN=3>&nbsp;</TD></TR></TABLE></TD></TR><TR VALIGN=\"bottom\"><TD HEIGHT=\"30\" ALIGN=\"center\"><A HREF=\"javascript:self.close();\" CLASS=\"HeadBlauBig\"><IMG SRC=\"/jobmanager/images/button_schliessen.gif\" WIDTH=\"87\" HEIGHT=\"25\" BORDER=\"0\" ALT=\"Fenster schliessen\"></A><BR><BR></TD></TR></TABLE></BODY></HTML>');\n}\n//-->\n</SCRIPT>\n";
  return $script_strg;
}


function make_sort_string($sort_index,$sort_option_array) {
 global $HTTP_SERVER_VARS;
 $sort_str = "    <FORM ACTION='" . $HTTP_SERVER_VARS["PHP_SELF"] . "' METHOD='post' NAME='sort_form'>\n    <TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0' ALIGN='center'>\n      <TR VALIGN='top' VALIGN='center'>\n      <TD CLASS='TextBlauFett'>Sortierung:&nbsp;</TD>\n      <TD CLASS='TextBlau'>\n        <INPUT TYPE='hidden' NAME='sent' VALUE='sort'>\n        <SELECT NAME='sortierung' SIZE='1' onChange='document.sort_form.elements[\"sortierung\"].value = this.options[this.selectedIndex].value; document.sort_form.elements[\"sent\"].value = \"sort\"; sort_form.submit();'>\n";
  for ($i=0; $i<count($sort_option_array); $i++) {
    $sort_str .= "          <OPTION VALUE='".$i."' ";
    if ($i == $sort_index) { $sort_str .= "SELECTED"; }
    $sort_str .= ">".$sort_option_array[$i][0]."</OPTION>\n";
  }          
  $sort_str .= "          </SELECT>\n        </TD>\n      </TR>\n      </TABLE>\n    </FORM>\n";
  return $sort_str;
}

function db_get_data($tabelle,$search_exp,$insert_value,$sql_action,$sort_type,$error,$msg_output) {
global $HTTP_SESSION_VARS;
if ($tabelle == "job") {
  switch ($sql_action) {
    case "insert":
      $HTTP_SESSION_VARS["s_export_flag"] = true;
      $sql_strg = "INSERT INTO jm_job SET ".$insert_value.";";
      $text_ok = "Das Stellenangebot wurde erfolgreich eingefgt.";
      $text_error = "Das Stellenangebot  konnte nicht eingefgt werden.";
      break;
    case "update":
      $HTTP_SESSION_VARS["s_export_flag"] = true;
      $sql_strg = "UPDATE jm_job SET ".$insert_value." WHERE job_id = '".$search_exp."';";
      $text_ok = "Das Stellenangebot  wurde erfolgreich gendert.";
      $text_error = "Das Stellenangebot konnte nicht gendert werden.";
      break;
    case "delete":
      $HTTP_SESSION_VARS["s_export_flag"] = true;
      $sql_strg = "DELETE FROM jm_job WHERE job_id = '".$search_exp."';";
      $text_ok = "Das Stellenangebot  wurde erfolgreich gelscht.";
      $text_error = "Das Stellenangebot konnte nicht gelscht werden.";
      break;
    case "get_all":
      $sql_strg = "SELECT jm_job.*, jm_category.*, jm_group.* FROM jm_job,jm_category,jm_group WHERE jm_job.rubrik_id = jm_category.id AND jm_job.gruppe_id = jm_group.id";
      if (!empty($sort_type)) { $sql_strg .= " ORDER BY ".$sort_type; }
      $sql_strg .= ";";
      break;
    case "get_by_id":
      $sql_strg = "SELECT jm_job.*,jm_region.region,jm_category.rubrik,jm_group.gruppe,jm_user.user FROM jm_job,jm_category,jm_group,jm_user LEFT JOIN jm_region ON jm_job.region_id = jm_region.id WHERE jm_job.rubrik_id = jm_category.id AND jm_job.gruppe_id = jm_group.id AND jm_job.benutzer_id=jm_user.id AND jm_job.job_id='".$search_exp."';";
      break;
  }
} elseif ($tabelle == "role") {
        switch ($sql_action) {
          case "insert":
            $sql_strg = "INSERT INTO jm_role SET ".$insert_value.";";
            $text_ok = "Die Rolle wurde erfolgreich eingefgt.";
            $text_error = "Die Rolle konnte nicht eingefgt werden.";
            break;
          case "update":
            $sql_strg = "UPDATE jm_role SET ".$insert_value." WHERE id = '".$search_exp."';";
            $text_ok = "Die Rolle wurde erfolgreich gendert.";
            $text_error = "Die Rolle konnte nicht gendert werden.";
            break;
          case "delete":
            $sql_strg = "DELETE FROM jm_role WHERE (id='".$search_exp."' AND admin_flag!='y');";
            $text_ok = "Die Rolle wurde erfolgreich gelscht.";
            $text_error = "Die Rolle konnte nicht gelscht werden.";
            break;
          case "get_all":
            $sql_strg = "SELECT * FROM jm_role;";
            break;
          case "get_by_id":
            $sql_strg = "SELECT * FROM jm_role WHERE id=".$search_exp.";";
            break;
          case "get_by_rolename":
            $sql_strg = "SELECT * FROM jm_role WHERE name='".$search_exp."';";
            break;
          case "count":
            $sql_strg = "SELECT COUNT(*) FROM jm_user WHERE role_id=".$search_exp.";";
            break;
          case "select_related":
            $sql_strg = "SELECT * FROM jm_user WHERE role_id='".$search_exp."';";
            break;
          case "update_related":
            $sql_strg = "UPDATE jm_user SET role_id='".$insert_value."' WHERE role_id='".$search_exp."';";
            break;
        }
  } elseif ($tabelle == "user") {
           switch ($sql_action) {
             case "insert":
               $sql_strg = "INSERT INTO jm_user SET ".$insert_value.";";
               $text_ok = "Der Benutzer wurde erfolgreich eingefgt.";
               $text_error = "Der Benutzer konnte nicht eingefgt werden.";
               break;
             case "update":
               $sql_strg = "UPDATE jm_user SET ".$insert_value." WHERE id = '".$search_exp."';";
               $text_ok = "Der Benutzer wurde erfolgreich gendert.";
               $text_error = "Der Benutzer konnte nicht gendert werden.";
               break;
            case "delete":
               $sql_strg = "DELETE FROM jm_user WHERE id = '".$search_exp."';";
               $text_ok = "Der Benutzer wurde erfolgreich gelscht.";
               $text_error = "Der Benutzer konnte nicht gelscht werden.";
               break;
             case "get_all":
               $sql_strg = "SELECT * FROM jm_user;";
               break;
             case "get_by_id":
               $sql_strg = "SELECT * FROM jm_user WHERE id=".$search_exp.";";
               break;
             case "get_by_username":
               $sql_strg = "SELECT * FROM jm_user WHERE user='".$search_exp."';";
               break;
             case "get_by_role":
               $sql_strg = "SELECT * FROM jm_user WHERE role_id=".$search_exp.";";
               break;
           }
    } elseif ($tabelle == "category") {
            switch ($sql_action) {
              case "insert":
                $sql_strg = "INSERT INTO jm_category (rubrik) VALUES('".$insert_value."');";
                $text_ok = "Die Rubrik wurde erfolgreich eingefgt.";
                $text_error = "Die Rubrik konnte nicht eingefgt werden.";
                break;
              case "update":
                $sql_strg = "UPDATE jm_category SET rubrik='".$insert_value."' WHERE id = '".$search_exp."';";
                $text_ok = "Die Rubrik wurde erfolgreich gendert.";
                $text_error = "Die Rubrik konnte nicht gendert werden.";
                break;
              case "delete":
                $sql_strg = "DELETE FROM jm_category WHERE id = '".$search_exp."';";
                $text_ok = "Die Rubrik wurde erfolgreich gelscht.";
                $text_error = "Die Rubrik konnte nicht gelscht werden.";
                break;
              case "get_all":
                $sql_strg = "SELECT * FROM jm_category ORDER BY rubrik;";
                break;
              case "get_by_id":
                $sql_strg = "SELECT * FROM jm_category WHERE id=".$search_exp.";";
                break;
              case "count":
                $sql_strg = "SELECT COUNT(*) FROM jm_job WHERE rubrik_id=".$search_exp.";";
                break;
              case "select_related":
                $sql_strg = "SELECT * FROM jm_job WHERE rubrik_id='".$search_exp."';";
                break;
              case "update_related":
                $sql_strg = "UPDATE jm_job SET rubrik_id='".$insert_value."' WHERE rubrik_id='".$search_exp."';";
                break;
            }
      } elseif ($tabelle == "group") {
              switch ($sql_action) {
                case "insert":
                  $sql_strg = "INSERT INTO jm_group (gruppe) VALUES('".$insert_value."');";
                  $text_ok = "Die Gruppe wurde erfolgreich eingefgt.";
                  $text_error = "Die Gruppe konnte nicht eingefgt werden.";
                  break;
                case "update":
                  $sql_strg = "UPDATE jm_group SET gruppe='".$insert_value."' WHERE id = '".$search_exp."';";
                  $text_ok = "Die Gruppe wurde erfolgreich gendert.";
                  $text_error = "Die Gruppe konnte nicht gendert werden.";
                  break;
                case "delete":
                  $sql_strg = "DELETE FROM jm_group WHERE id = '".$search_exp."';";
                  $text_ok = "Die Gruppe wurde erfolgreich gelscht.";
                  $text_error = "Die Gruppe konnte nicht gelscht werden.";
                  break;
                case "get_all":
                  $sql_strg = "SELECT * FROM jm_group ORDER BY gruppe;";
                  break;
                case "get_by_id":
                  $sql_strg = "SELECT * FROM jm_group WHERE id=".$search_exp.";";
                  break;
                case "count":
                  $sql_strg = "SELECT COUNT(*) FROM jm_job WHERE gruppe_id=".$search_exp.";";
                  break;
                case "select_related":
                  $sql_strg = "SELECT * FROM jm_job WHERE gruppe_id='".$search_exp."';";
                  break;
                case "update_related":
                  $sql_strg = "UPDATE jm_job SET gruppe_id='".$insert_value."' WHERE gruppe_id='".$search_exp."';";
                  break;
              }
        } elseif ($tabelle == "region") {
                switch ($sql_action) {
                  case "insert":
                    $sql_strg = "INSERT INTO jm_region (region) VALUES('".$insert_value."');";
                    $text_ok = "Die Region wurde erfolgreich eingefgt.";
                    $text_error = "Die Region konnte nicht eingefgt werden.";
                    break;
                  case "update":
                    $sql_strg = "UPDATE jm_region SET region='".$insert_value."' WHERE id = '".$search_exp."';";
                    $text_ok = "Die Region wurde erfolgreich gendert.";
                    $text_error = "Die Region konnte nicht gendert werden.";
                    break;
                  case "delete":
                    $sql_strg = "DELETE FROM jm_region WHERE id = '".$search_exp."';";
                    $text_ok = "Die Region wurde erfolgreich gelscht.";
                    $text_error = "Die Region konnte nicht gelscht werden.";
                    break;
                  case "get_all":
                    $sql_strg = "SELECT * FROM jm_region ORDER BY region;";
                    break;
                  case "get_by_id":
                    $sql_strg = "SELECT * FROM jm_region WHERE id=".$search_exp.";";
                    break;
                  case "count":
                    $sql_strg = "SELECT COUNT(*) FROM jm_job WHERE region_id=".$search_exp.";";
                    break;
                  case "select_related":
                    $sql_strg = "SELECT * FROM jm_job WHERE region_id='".$search_exp."';";
                    break;
                  case "update_related":
                    $sql_strg = "UPDATE jm_job SET region_id='".$insert_value."' WHERE region_id='".$search_exp."';";
                    break;
                }
          }
  $query_obj = new DB_connect;
  //echo $sql_strg."<BR>";
  if (! $query_obj->db_error) {
    $query_obj->db_query($sql_strg);
    if (! $query_obj->db_error) {
      if (! empty($text_ok)) { $msg_output = $text_ok; }
    } else {
	    $error = True;
	    if (! empty($text_error)) { $msg_output = $text_error; }
	  }
  } else {
      $error = True;
	  $msg_output .= $query_obj->db_error_msg;
    }
  return array($query_obj,$error,$msg_output);
}

function make_selectfield($value_to_compare,$table_ident,$show_value_to_compare) {
  $select_tag = "";
  switch ($table_ident) {
    case "category": // Pulldown fr Rubriken
      $field_to_compare = "id";
      $field_to_print = "rubrik";
      list($db_query_obj,$error,$msg_output) = db_get_data("category","","","get_all","",$error,$msg_output);
      $select_tag .= "<SELECT NAME='data_array[rubrik_id]' SIZE='1'>\n";
      break;
    case "group": // Pulldown fr Gruppen
      $field_to_compare = "id";
      $field_to_print = "gruppe";
      list($db_query_obj,$error,$msg_output) = db_get_data("group","","","get_all","",$error,$msg_output);
      $select_tag .= "<SELECT NAME='data_array[gruppe_id]' SIZE='1'>\n";
      break;
    case "region": // Pulldown fr Region
      $field_to_compare = "id";
      $field_to_print = "region";
      list($db_query_obj,$error,$msg_output) = db_get_data("region","","","get_all","",$error,$msg_output);
      $select_tag .= "<SELECT NAME='data_array[region_id]' SIZE='1'>\n";
      break;
    case "role": // Pulldown fr Region
      $field_to_compare = "id";
      $field_to_print = "name";
      list($db_query_obj,$error,$msg_output) = db_get_data("role","","","get_all","",$error,$msg_output);
      $select_tag .= "<SELECT NAME='data_array[role_id]' SIZE='1'>\n";
      break;
  }
  while ($db_query_row = $db_query_obj->db_fetch_array()) {
    if ($db_query_row[$field_to_compare] == $value_to_compare) {
      if ($show_value_to_compare) {
        $select_tag .= "<OPTION VALUE='".$db_query_row[$field_to_compare]."' SELECTED>".$db_query_row[$field_to_print]."\n";
      }
    } else {
        $select_tag .= "<OPTION VALUE='".$db_query_row[$field_to_compare]."'>".$db_query_row[$field_to_print]."\n";
      }
  }
  $select_tag .= "</SELECT>";
  return $select_tag;
}
?>
