<?php
include("jm_rdf_config.php");

class RDF_export {

  var $rdf_dataArray;
  var $rdf_items = "";
  var $rdf_document = "";


  function RDF_export() {
    $sql_strg = "SELECT jm_job.*,jm_region.region,jm_category.rubrik,jm_group.gruppe,jm_user.user FROM jm_job,jm_category,jm_group,jm_user LEFT JOIN jm_region ON jm_job.region_id = jm_region.id WHERE jm_job.rubrik_id = jm_category.id AND jm_job.gruppe_id = jm_group.id AND jm_job.benutzer_id=jm_user.id AND ((jm_job.guelab <= CURRENT_DATE AND jm_job.guelbis >= CURRENT_DATE) OR (jm_job.guelab <= CURRENT_DATE AND jm_job.guelbis = '0000-00-00') OR (jm_job.guelab = '0000-00-00' AND jm_job.guelbis >= CURRENT_DATE) OR (jm_job.guelab = '0000-00-00' AND jm_job.guelbis = '0000-00-00')) AND jm_job.publish = 'y' ORDER BY jm_job.bezeichnung ASC;";

    // $sql_strg = "SELECT jm_job.bezeichnung, jm_job.job_id, jm_job.rubrik_id FROM jm_job WHERE ((jm_job.guelab <= CURRENT_DATE AND jm_job.guelbis >= CURRENT_DATE) OR (jm_job.guelab <= CURRENT_DATE AND jm_job.guelbis = '0000-00-00') OR (jm_job.guelab = '0000-00-00' AND jm_job.guelbis >= CURRENT_DATE) OR (jm_job.guelab = '0000-00-00' AND jm_job.guelbis = '0000-00-00')) AND jm_job.publish = 'y' ORDER BY jm_job.bezeichnung ASC;";

    $db_query_obj = new DB_connect();
    if (! $db_query_obj->db_error) {
      $db_query_obj->db_query($sql_strg);
      while ($row = $db_query_obj->db_fetch_array()) {
        $this->rdf_dataArray[] = $row;
      }
    }
    $db_query_obj->db_close();
    if (! $db_query_obj->db_error) {
      if (RDF_TYPE == "short") {
        $this->rdf_makeItemsShort();
      } else {
          $this->rdf_makeItemsLong();
        }
      $this->rdf_makeDocument();
      $this->rdf_writeDocument();
    }
  }

  function rdf_makeItemsShort() {
    for ($i = 0; $i < count($this->rdf_dataArray); $i++) {
      $this->rdf_items .= "<item>\n <title>".preg_replace("/[\r\n]/m","",$this->rdf_dataArray[$i]["bezeichnung"])."</title>\n <link>http://".RDF_DOMAIN."/jobmanager/jm_jobview_3.php?list_type=category&list_type_id=".$this->rdf_dataArray[$i]["rubrik_id"]."&job_id=".$this->rdf_dataArray[$i]["job_id"]."</link>\n</item>\n\n";
    }
  }

  function rdf_makeItemsLong() {
    for ($i = 0; $i < count($this->rdf_dataArray); $i++) {
      $this->rdf_items .= "<item>\n <title>".preg_replace("/[\r\n]/m","",$this->rdf_dataArray[$i]["bezeichnung"])."</title>\n <id>".$this->rdf_dataArray[$i]["int_jobnr"]."</id>\n <branch>".$this->rdf_dataArray[$i]["rubrik"]."</branch>\n <zip></zip>\n <area>".$this->rdf_dataArray[$i]["region"]."</area>\n <type></type>\n <link>http://".RDF_DOMAIN."/jobmanager/jm_jobview_3.php?list_type=category&list_type_id=".$this->rdf_dataArray[$i]["rubrik_id"]."&job_id=".$this->rdf_dataArray[$i]["job_id"]."</link>\n</item>\n\n";
    }
  }

  function rdf_makeDocument() {
    $this->rdf_document = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\" ?>\n";
    if (RDF_TYPE == "short") {
      $this->rdf_document .= "<rdf:RDF\nxmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\"\nxmlns=\"http://my.netscape.com/rdf/simple/0.9/\">\n";
    }
    $this->rdf_document .= "\n<channel>\n  <title>".RDF_CHANNEL_TITLE."</title>\n  <link>".RDF_CHANNEL_LINK."</link>\n  <description>".RDF_CHANNEL_DESCRIPTION."</description>\n</channel>\n\n<image>\n  <title>".RDF_IMAGE_TITLE."</title>\n  <url>".RDF_IMAGE_URL."</url>\n  <link>".RDF_IMAGE_LINK."</link>\n</image>\n\n".$this->rdf_items."</rdf:RDF>";
  }

  function rdf_writeDocument() {
    $fh_obj = new Filehandle(RDF_EXPORT_NAME,"rdf/");
    $fh_obj->fh_open_file("wd");
    if (! $fh_obj->fh_error) {
      $fh_obj->fh_write_data($this->rdf_document);
      $fh_obj->fh_close_file();
    } else {
       echo "Schreibfehler<BR>";
      }
  }

}
?>