<?php
include("includes/config_jobmanager_inc.php");
include("includes/jm_database_class.php");
include("includes/jm_lib.php");
include(DIR_INCLUDES_LANGUAGE.FILENAME_LANGUAGE);

$error = False;
$msg_output = "";
getPostGetVars();

session_start();
if (check_session()) {
  $role_array = $HTTP_SESSION_VARS["role_array"];
}

if (!empty($typ)) { $data_array["typ"] = $typ; }
if (!empty($id)) { $data_array["update_id"] = $id; }

switch ($data_array["typ"]) {
  case "role":
    $tabelle = "role";
    $name_field = "name";
    $headline = DEL_LIST1_HEADLINE_ROLE;
    $text = DEL_LIST1_TEXT_ROLE;
    $filename_back = FILENAME_ROLE_LIST;
    break;
  case "group":
    $tabelle = "group";
    $name_field = "gruppe";
    $headline = DEL_LIST1_HEADLINE_GROUP;
    $text = DEL_LIST1_TEXT_GROUP;
    $filename_back = FILENAME_GROUP_EDIT;
    break;
  case "category":
    $tabelle = "category";
    $name_field = "rubrik";
    $headline = DEL_LIST1_HEADLINE_RUBRIK;
    $text = DEL_LIST1_TEXT_RUBRIK;
    $filename_back = FILENAME_RUBRIK_EDIT;
    break;
}

if (!empty($sent)) {
  if ($sent == "delete") {
    if (!empty($data_array["id"])) {
      list($db_query_obj,$error,$msg_output) = db_get_data($tabelle,$data_array["update_id"],$data_array["id"],"update_related","",$error,$msg_output);
      $affected_rows = $db_query_obj->db_affected_rows();
      list($db_query_obj,$error,$msg_output) = db_get_data($tabelle,$data_array["update_id"],"","delete","",$error,$msg_output);
      if (!$error) {
        $msg_output .= "<P>Es wurden ".$affected_rows." Datenstze gendert.";
      }
    } else {
        $error = True;
        $msg_output = "Es mu ein Ersatzwert ausgewhlt werden.";
        //list($content_strg,$delete_value) = make_option_list($tabelle,$data_array["update_id"]);
      }
    if ($error) {
      list($content_strg,$delete_value) = make_option_list($tabelle,$data_array["update_id"]);
    } else {
        session_register("s_msg_window_script");
        $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
        header("Location:http://".HTTP_SERVER.DIR_JOBMANAGER_ROOT.$filename_back);
        exit;
      }
    session_register("s_msg_window_script");
    $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
  }
} else {
    list($content_strg,$delete_value) = make_option_list($tabelle,$data_array["update_id"]);
  }

function make_option_list($tabelle,$id) {
  global $filename_back,$name_field;
  $i = 0;
  $content_strg = "<U>Mgliche Optionen:</U><BR><BR>
<FORM ACTION='./jm_delete_list_1.php' METHOD='POST'NAME='b_form';'>
<INPUT TYPE='hidden' NAME='sent' VALUE=''>
<INPUT TYPE='hidden' NAME='data_array[update_id]' VALUE='".$id."'>
<INPUT TYPE='hidden' NAME='data_array[typ]' VALUE='".$tabelle."'>
<TABLE BORDER='0' CELLPADDING='2' CELLSPACING='4' WIDTH=350>
";
  list($db_query_obj,$error,$msg_output) = db_get_data($tabelle,"","","get_all","",$error,$msg_output);
  while ($zeile = $db_query_obj->db_fetch_array()) {
    if ($zeile["id"] != $id) {
      $content_strg .= "<TR><TD BGCOLOR='#FFFF99' WIDTH='25' ALIGN='right' CLASS='TextSchwarzFett'>".++$i."&nbsp;</TD><TD BGCOLOR='#FFFF99' CLASS='TextSchwarzFett' WIDTH='200'>".$zeile[$name_field]."</TD>
  <TD BGCOLOR='#FFFF99' WIDTH='25' ALIGN='center'><INPUT TYPE='radio' NAME='data_array[id]' VALUE='".$zeile["id"]."'></TD>
</TR>\n";
    } else {
        $delete_value = "<SPAN CLASS='TextBlauFett'>Zu ersetzen:</SPAN> <SPAN CLASS='TextSchwarzFett'>".$zeile[$name_field]."</SPAN><BR><BR>";
      }
  }
  $content_strg .= "<TR><TD COLSPAN='4'><IMG SRC='/jobmanager/images/leer.gif' WIDTH='1' HEIGHT='20' BORDER=0></TR>
<TR>
  <TD COLSPAN='4' BGCOLOR='#FFFF99'>
    <TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0' WIDTH='100%'>
    <TR>
      <TD ALIGN='left'><A HREF='./".$filename_back."'><IMG SRC='/jobmanager/images/button_zurueck.gif' WIDTH='65' HEIGHT='25' BORDER='0'></A></TD>
      <TD ALIGN='right'><A HREF='./".FILENAME_DEL_LIST2."?id=".$id."&typ=".$tabelle."'><IMG SRC='/jobmanager/images/button_liste.gif' WIDTH='52' HEIGHT='25' BORDER='0'></A>&nbsp;&nbsp;<A HREF=\"javascript: void(document.b_form.sent.value = 'delete'); if (confirm('Wollen Sie den Eintrag wirklich lschen?')) document.b_form.submit();\"><IMG SRC='/jobmanager/images/button_loeschen.gif' BORDER='0'></A></TD>
    </TR>
    </TABLE>
  </TD>
  </FORM>
</TR>
</TABLE>
";
  return array($content_strg,$delete_value);
}
?>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<?php if (session_is_registered("s_msg_window_script")) { echo $HTTP_SESSION_VARS["s_msg_window_script"]; } ?>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="/jobmanager/schriften.css">
<TITLE><?php echo TITLE ?></TITLE>
</head>
<body bgcolor="#FFFFCC" LEFTMARGIN=0 TOPMARGIN=0 BACKGROUND="/jobmanager/images/hg_content.gif" <?php if (session_is_registered("s_msg_window_script")) { echo "onload='meldungsfenster();'"; session_unregister("s_msg_window_script");} ?>>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="550">
<TR>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=10 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=1 BORDER=0></TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="HeadBlauBig"><?php echo $headline ?></TD>
  <TD>&nbsp;</TD>
</TR>
<TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=25 BORDER=0></TD></TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="TextBlau"><?php echo $delete_value.$text ?><TD>
  <TD>&nbsp;</TD>
</TR>
<TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=25 BORDER=0></TD></TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="TextBlauFett"><?php echo $content_strg; ?></TD>
  <TD>&nbsp;</TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD><IMG SRC="/jobmanager/images/linie_blau.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD>&nbsp;</TD>
</TR>
<?php include("includes/jm_footer.php"); ?>
</TABLE>
</body>
</html>