<?php
include("includes/config_jobmanager_inc.php");
include("includes/jm_database_class.php");
include("includes/jm_lib.php");
include(DIR_INCLUDES_LANGUAGE.FILENAME_LANGUAGE);

$error = False;
$msg_output = "";
getPostGetVars();

session_start();
if (check_session()) {
  $role_array = $HTTP_SESSION_VARS["s_role_array"];
}

if (!empty($typ)) { $data_array["typ"] = $typ; }
if (!empty($id)) { $data_array["update_id"] = $id; }

switch ($data_array["typ"]) {
  case "role":
    $tabelle = "role";
    $update_table = "user";
    $update_field = "role_id";
    $name_field = "user";
    $headline = DEL_LIST2_HEADLINE_ROLE;
    $text = DEL_LIST2_TEXT_ROLE;
    $filename_back = FILENAME_DEL_LIST1;
    $filename_success = FILENAME_ROLE_LIST;
    break;
  case "group":
    $tabelle = "group";
    $update_table = "job";
    $update_field = "gruppe_id";
    $name_field = "bezeichnung";
    $headline = DEL_LIST2_HEADLINE_GROUP;
    $text = DEL_LIST2_TEXT_GROUP;
    $filename_back = FILENAME_DEL_LIST1;
    $filename_success = FILENAME_GROUP_EDIT;
    break;
  case "category":
    $tabelle = "category";
    $update_table = "job";
    $update_field = "rubrik_id";
    $name_field = "bezeichnung";
    $headline = DEL_LIST2_HEADLINE_RUBRIK;
    $text = DEL_LIST2_TEXT_RUBRIK;
    $filename_back = FILENAME_DEL_LIST1;
    $filename_success = FILENAME_RUBRIK_EDIT;
    break;
}

if (!empty($sent)) {
  if ($sent == "delete") {
    $i=0;
    while (list($key,$value) = each($id_array)) {
      if ($value == $data_array["update_id"]) {
        $error = True;
        $msg_output = "Es mu fr alle Datenstze ein Ersatzwert ausgewhlt werden.";
      } else {
          list($db_query_obj,$error,$msg_output) = db_get_data($update_table,$key,$update_field."='".$value."'","update","",$error,$msg_output);
          ++$i;
        }
    }
    if ($i != 0) { $msg_output .= "<BR>".$i." Datenstze mit Ersatzwerten wurden gendert."; }
  }
  if ($error) {
    list($content_strg,$delete_value) = make_option_list($tabelle,$data_array["update_id"]);
  } else {
      list($db_query_obj,$error,$msg_output) = db_get_data($tabelle,$data_array["update_id"],"","delete","",$error,$msg_output);
      if (!$error) {
        session_register("s_msg_window_script");
        $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
        header("Location:http://".HTTP_SERVER.DIR_JOBMANAGER_ROOT.$filename_success);
        exit;
      }
    }
  session_register("s_msg_window_script");
  $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
} else {
    list($content_strg,$delete_value) = make_option_list($tabelle,$data_array["update_id"]);
  }

function make_option_list($tabelle,$id) {
  global $filename_back,$name_field;
  $selectfield = make_selectfield($id,$tabelle,false);
  $i = 0;
  $content_strg = "<U>Betroffene Eintrge in der Datenbank:</U><BR><BR>
<FORM ACTION='./jm_delete_list_2.php' METHOD='POST' NAME='b_form';'>
<INPUT TYPE='hidden' NAME='sent' VALUE=''>
<INPUT TYPE='hidden' NAME='data_array[update_id]' VALUE='".$id."'>
<INPUT TYPE='hidden' NAME='data_array[typ]' VALUE='".$tabelle."'>
<TABLE BORDER='0' CELLPADDING='2' CELLSPACING='4'>\n";
  list($db_query_obj,$error,$msg_output) = db_get_data($tabelle,$id,"","select_related","",$error,$msg_output);
  while ($zeile = $db_query_obj->db_fetch_array()) {
    $selectfieldToInsert = $selectfield;
    $selectfieldToInsert = str_replace("data_array[rubrik_id]", "id_array[".$zeile['job_id']."]", $selectfieldToInsert);
    $selectfieldToInsert = str_replace("data_array[gruppe_id]", "id_array[".$zeile['job_id']."]", $selectfieldToInsert);
    $selectfieldToInsert = str_replace("data_array[region_id]", "id_array[".$zeile['job_id']."]", $selectfieldToInsert);
    $selectfieldToInsert = str_replace("data_array[role_id]", "id_array[".$zeile['id']."]", $selectfieldToInsert);
    $content_strg .= "<TR VALIGN='top'><TD BGCOLOR='#FFFF99' WIDTH='25' ALIGN='right' CLASS='TextSchwarzFett'>".++$i."&nbsp;</TD><TD BGCOLOR='#FFFF99' CLASS='TextSchwarzFett' WIDTH='250'>".$zeile[$name_field]."</TD>
  <TD BGCOLOR='#FFFF99' WIDTH='200'>\n".$selectfieldToInsert."</TD>
</TR>\n";
  }
  $content_strg .= "<TR><TD COLSPAN='3'><IMG SRC='/jobmanager/images/leer.gif' WIDTH='1' HEIGHT='20' BORDER=0></TR>
<TR>
  <TD COLSPAN='3' BGCOLOR='#FFFF99'>
    <TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0' WIDTH='100%'>
    <TR>
      <TD ALIGN='left'><A HREF='./".FILENAME_DEL_LIST1."?id=".$id."&typ=".$tabelle."'><IMG SRC='/jobmanager/images/button_zurueck.gif' WIDTH='65' HEIGHT='25' BORDER='0'></A></TD>
      <TD ALIGN='right'>&nbsp;&nbsp;<A HREF=\"javascript: void(document.b_form.sent.value = 'delete'); document.b_form.submit();\"><IMG SRC='/jobmanager/images/button_uebernehmen.gif' BORDER='0'></A></TD>
    </TR>
    </TABLE>
  </TD>
  </FORM>
</TR>
</TABLE>
";
  return array($content_strg,$delete_value);
}
?>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<?php if (session_is_registered("s_msg_window_script")) { echo $HTTP_SESSION_VARS["s_msg_window_script"]; } ?>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="/jobmanager/schriften.css">
<TITLE><?php echo TITLE ?></TITLE>
</head>
<body bgcolor="#FFFFCC" LEFTMARGIN=0 TOPMARGIN=0 BACKGROUND="/jobmanager/images/hg_content.gif" <?php if (session_is_registered("s_msg_window_script")) { echo "onload='meldungsfenster();'"; session_unregister("s_msg_window_script");} ?>>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="550">
<TR>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=10 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=1 BORDER=0></TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="HeadBlauBig"><?php echo $headline ?></TD>
  <TD>&nbsp;</TD>
</TR>
<TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=25 BORDER=0></TD></TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="TextBlau"><?php echo $delete_value.$text ?><TD>
  <TD>&nbsp;</TD>
</TR>
<TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=25 BORDER=0></TD></TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="TextBlauFett"><?php echo $content_strg; ?></TD>
  <TD>&nbsp;</TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD><IMG SRC="/jobmanager/images/linie_blau.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD>&nbsp;</TD>
</TR>
<?php include("includes/jm_footer.php"); ?>
</TABLE>
</body>
</html>