<?php
include("includes/config_jobmanager_inc.php");
include("includes/jm_database_class.php");
include("includes/jm_lib.php");
include(DIR_INCLUDES_LANGUAGE.FILENAME_LANGUAGE);

$error = False;
$msg_output = "";
getPostGetVars();

session_start();
if (check_session()) {
  $role_array = $HTTP_SESSION_VARS["s_role_array"];
  list($db_query_obj,$error,$msg_output) = db_get_data("user",$HTTP_SESSION_VARS["s_user_id"],"","get_by_username","",$error,$msg_output);
  $user_data_array = $db_query_obj->db_fetch_array();
}

$sql_data_array = array();
$update_strg = "";

if (!empty($id)) {
  $data_array["job_id"] = $id;
}

if (!empty($sent)) {
  if (($sent == "update") || ($sent == "insert")) {
      if (!isset($data_array["erstellt"])) {
        $data_array["erstellt"] = date ("Y-m-d",mktime (0,0,0));
      }
      $sql_data_array["erstellt"] = $data_array["erstellt"];
      $sql_data_array = check_data($error,$msg_output,$sql_data_array);
	  $sql_data_array["rubrik_id"] = $data_array["rubrik_id"];
	  $sql_data_array["gruppe_id"] = $data_array["gruppe_id"];
	  $sql_data_array["geaendert_am"] = date ("YmdHis",mktime ());
	  $sql_data_array["benutzer_id"] = $user_data_array['id'];
      while (list($key,$value) = each($sql_data_array)) {
        if ($value != 'NULL') {
          $update_strg .= $key."='".$value."',";
        } else {
            $update_strg .= $key."=NULL,";
          }
      }
      $update_strg = substr ($update_strg,0,strlen($update_strg)-1);
  } elseif ($sent == "edit") {
          list($db_query_obj,$error,$msg_output) = db_get_data("job",$data_array["job_id"],"","get_by_id","",$error,$msg_output);
          $data_array = $db_query_obj->db_fetch_array();
    }

  if ((!$error) && ($sent != "edit")) {
    list($db_query_obj,$error,$msg_output) = db_get_data("job",$data_array["job_id"],$update_strg,$sent,"",$error,$msg_output);
    if (!$error) {
      if ($sent != "delete") {
        $sent = "edit";
        if (isset ($data_array["job_id"])) {
          list($db_query_obj,$error,$msg_output) = db_get_data("job",$data_array["job_id"],"","get_by_id","",$error,$msg_output);
          $data_array = $db_query_obj->db_fetch_array();
        } else {
            $insert_id = $db_query_obj->db_insert_id();
            list($db_query_obj,$error,$msg_output) = db_get_data("job",$insert_id,"","get_by_id","",$error,$msg_output);
            $data_array = $db_query_obj->db_fetch_array();
          }
      } else {
          session_register("s_msg_window_script");
          $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
          header("Location:http://".HTTP_SERVER.DIR_JOBMANAGER_ROOT."jm_job_list.php");
          exit;
        }
    }
  }
  if (empty($id)) { 
    session_register("s_msg_window_script");
    $HTTP_SESSION_VARS["s_msg_window_script"] = make_msg_window($error,$msg_output);
  }
}

function check_data(&$error,&$msg_output,$sql_data_array) {
  global $data_array;
  if (isset($data_array["int_jobnr"])) {
   $sql_data_array["int_jobnr"] = $data_array["int_jobnr"];
  } else {
      $sql_data_array["int_jobnr"] = "NULL";
    }
  if (isset($data_array["intro"])) {
   $sql_data_array["intro"] = $data_array["intro"];
  } else {
      $sql_data_array["intro"] = "NULL";
    }
  if ((!isset($data_array["bezeichnung"])) || (empty($data_array["bezeichnung"])))  {
    $error = True;
    $msg_output .= "- Stellenbezeichnung eintragen<BR>";
  } else {
      $sql_data_array["bezeichnung"] = $data_array["bezeichnung"];
    }
  if (isset($data_array["zusatz"])) {
    $sql_data_array["zusatz"] = $data_array["zusatz"];
  } else {
      $sql_data_array["zusatz"] = "NULL";
    }
  if ((!isset($data_array["beschreibung"])) || (empty($data_array["beschreibung"]))) {
    $error = True;
    $msg_output .= "- Text des Stellenangebotes eintragen<BR>";
  } else {
      $sql_data_array["beschreibung"] = $data_array["beschreibung"];
    }
  if (isset($data_array["guelab"])) {
    list ($data_array["guelab"],$date_correct) = check_date($data_array["guelab"]);
    if (!$date_correct) {
      $error = True;
      $msg_output .= "- Startdatum korrigieren<BR>";
    } else {
        $sql_data_array["guelab"] = datum_konv($data_array["guelab"],"db");
      }
  }
  if (isset($data_array["guelbis"])) {
    list ($data_array["guelbis"],$date_correct) = check_date($data_array["guelbis"]);
    if (!$date_correct) {
      $error = True;
      $msg_output .= "- Enddatum korrigieren<BR>";
    } else {
        $sql_data_array["guelbis"] = datum_konv($data_array["guelbis"],"db");
      }
  }
  if ( (isset($data_array["publish"])) && ($data_array["publish"] == "y") ) {
   $sql_data_array["publish"] = $data_array["publish"];
  } else {
      $sql_data_array["publish"] = "n";
    }
  if (isset($data_array["region_id"])) {
   $sql_data_array["region_id"] = $data_array["region_id"];
  } else {
      $sql_data_array["region_id"] = "1";
    }
  return $sql_data_array;
}

?>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<?php if (session_is_registered("s_msg_window_script")) { echo $HTTP_SESSION_VARS["s_msg_window_script"]; } ?>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="/jobmanager/schriften.css">
<SCRIPT LANGUAGE="JavaScript" src="/jobmanager/includes/calendar.js"></script>
<SCRIPT LANGUAGE="JavaScript">
<!--
<?php
if (empty($sent)) {
  echo "top.menue.change_menue_item(1);";
}
?>  
function open_window(theURL,winName,winOptions) {
  win = window.open(theURL,winName,winOptions);
  win.focus();
}
<?php if ( ((JOB_EDIT_FORM == 0) && ($HTTP_SESSION_VARS["s_browser_id"] == "IE")) || (JOB_EDIT_FORM == 2) ) { ?>
function get_data() {
  var re = /<DIV>|<\/DIV>/ig;
  RegExp.multiline = true;
  document.b_form["data_array[beschreibung]"].value = window.editor.tbContentElement.DOM.body.innerHTML.replace(re,"");
  //document.b_form["data_array[beschreibung]"].value = document.b_form["data_array[beschreibung]"].value;
  document.b_form.submit();
}
<?php } ?>
//-->
</SCRIPT>
<TITLE><?php echo TITLE ?></TITLE>
</head>
<body bgcolor="#FFFFCC" LEFTMARGIN="0" TOPMARGIN="0" BACKGROUND="/jobmanager/images/hg_content.gif" <?php if (session_is_registered("s_msg_window_script")) { echo "onload='meldungsfenster();'"; session_unregister("s_msg_window_script");} ?>>

<FORM ACTION="<?php echo $HTTP_SERVER_VARS["PHP_SELF"] ?>" METHOD="POST" NAME="b_form">
<INPUT TYPE="hidden" NAME="sent" VALUE=""> 
<?php
if (!empty($sent)) {
  echo "<INPUT TYPE=\"hidden\" NAME=\"data_array[job_id]\" VALUE='".$data_array["job_id"]."'>\n";
  $headline = "Stellenangebot bearbeiten";
} else {
    $headline = "Neues Stellenangebot einfgen";
  }
?>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="550">
<TR>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=10 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH=30 HEIGHT=1 BORDER=0></TD>
</TR>
<TR>
  <TD>&nbsp;</TD>
  <TD CLASS="HeadBlauBig"><?php echo $headline ?></TD>
  <TD>&nbsp;</TD>
</TR>
<TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=25 BORDER=0></TD></TR>
<!-- Content beginn -->
<TR>
  <TD>&nbsp;</TD>
  <TD>
    <TABLE CELLPADDING="1" CELLSPACING="0" BORDER="0" WIDTH="510">
	<TR>
	  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH="170" HEIGHT="1" BORDER="0"></TD>
	  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH="170" HEIGHT="1" BORDER="0"></TD>
	  <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH="170" HEIGHT="1" BORDER="0"></TD>
	</TR>
    <TR>
	  <TD CLASS="TextBlauFett">Erstellt am:<BR>
        <?php
          if (!empty($sent)) {
            echo "<SPAN CLASS='TextSchwarzFett'>".datum_konv($data_array["erstellt"],"html")."</SPAN>\n<INPUT TYPE=\"hidden\" NAME=\"data_array[erstellt]\" VALUE='".$data_array["erstellt"]."'>";
          } else {
              echo "<SPAN CLASS='TextSchwarzFett'>".date ("d.m.Y",mktime (0,0,0))."</SPAN>";
            }
        ?>
      </TD>
	  <TD></TD>
	  <TD VALIGN="bottom">
        <TABLE CELLPADDING="3" CELLSPACING="0" BORDER="0" BGCOLOR="#CCCCCC">
        <TR>
          <TD CLASS="TextBlauFett">Verffentlicht:</TD>
          <?php
             if (empty($sent)) {
               if ($role_array["publish"] == "y") {
                 echo "<TD><INPUT TYPE='checkbox' NAME='data_array[publish]' VALUE='y'>";
               } else {
                   echo "<INPUT TYPE='hidden' NAME='data_array[publish]' VALUE='n'><TD><IMG SRC='/jobmanager/images/icon_checkbox_red.gif' WIDTH='13' HEIGHT='13' BORDER='0'></TD>";
                 }
             } else {
                 if ($role_array["publish"] == "y") {
                   echo "<TD><INPUT TYPE='checkbox' NAME='data_array[publish]' VALUE='y' ";
                   if ( (isset($data_array["publish"])) && ($data_array["publish"] == "y") ) { echo "checked"; }
                   echo "></TD>\n";
                 } else {
                     if ( (isset($data_array["publish"])) && ($data_array["publish"] == "y") ) {
                       echo "<INPUT TYPE='hidden' NAME='data_array[publish]' VALUE='y'><TD><IMG SRC='/jobmanager/images/icon_checkbox_green.gif' WIDTH='13' HEIGHT='13' BORDER='0'></TD>";
                     } else {
                         echo "<INPUT TYPE='hidden' NAME='data_array[publish]' VALUE='n'><TD><IMG SRC='/jobmanager/images/icon_checkbox_red.gif' WIDTH='13' HEIGHT='13' BORDER='0'></TD>";
                       }
                   }
               }
          ?>
        </TR>
        </TABLE>
      </TD>
	</TR>
    <TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH="170" HEIGHT="5" BORDER="0"></TD></TR>
    <TR VALIGN=TOP>
      <TD CLASS="TextBlauFett">Interne Job-Nr.:<BR><INPUT TYPE="Text" NAME="data_array[int_jobnr]" SIZE="8" MAXLENGTH="10" <?php if (isset($data_array["int_jobnr"])) { echo "VALUE='".$data_array["int_jobnr"]."'";}?> style="width:125px;"></TD>
      <TD>
        <TABLE CELLPADDING="1" CELLSPACING="0" BORDER="0">
        <TR><TD COLSPAN="2" CLASS="TextBlauFett">Erstes Erscheinen:</TD></TR>
        <TR>
          <TD><INPUT TYPE="Text" NAME="data_array[guelab]" SIZE="10" MAXLENGTH="10" <?php if (isset($data_array["guelab"])) { echo "VALUE='".datum_konv($data_array["guelab"],"html")."'";}?> style="width:100px;"></TD>
          <TD><A HREF="javascript:date_input_1.popup();"><IMG src="/jobmanager/images/icon_kalender.gif" width="16" height="15" border="0" alt="Klicken Sie hier, um das Datum einzugeben"></A></TD>
        </TR>
        </TABLE>
      </TD>
      <TD>
        <TABLE CELLPADDING="1" CELLSPACING="0" BORDER="0">
        <TR><TD COLSPAN="2" CLASS="TextBlauFett">Letztes Erscheinen:</TD></TR>
        <TR>
          <TD><INPUT TYPE="Text" NAME="data_array[guelbis]" SIZE="10" MAXLENGTH="10" <?php if (isset($data_array["guelbis"])) { echo "VALUE='".datum_konv($data_array["guelbis"],"html")."'";}?> style="width:100px;"></TD>
          <TD><A HREF="javascript:date_input_2.popup();"><IMG src="/jobmanager/images/icon_kalender.gif" width="16" height="15" border="0" alt="Klicken Sie hier, um das Datum einzugeben"></A></TD>
        </TR>
        </TABLE>
      </TD>
    </TR>
    <TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH="170" HEIGHT="5" BORDER="0"></TD></TR>
	<TR>
      <TD COLSPAN="3">
        <TABLE CELLPADDING="1" CELLSPACING="0" BORDER="0">
        <TR>
          <TD CLASS="TextBlauFett">Gruppe:<BR>
            <?php
              if (isset($data_array["gruppe_id"])) { 
                echo make_selectfield($data_array["gruppe_id"],"group",true);
              } else {
                  echo make_selectfield("","group",false);
                }
            ?>
          </TD>
          <TD><IMG SRC="/jobmanager/images/leer.gif" WIDTH="15" HEIGHT="5" BORDER="0"></TD>
          <TD CLASS="TextBlauFett">Rubrik:<BR>
            <?php
              if (isset($data_array["rubrik_id"])) { 
                echo make_selectfield($data_array["rubrik_id"],"category",true);
              } else {
                  echo make_selectfield("","category",false);
                }
            ?>
          </TD>
        </TR>
        </TABLE>
      </TD>
    </TR>
    <TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH="170" HEIGHT="5" BORDER="0"></TD></TR>
	<TR>
	  <TD CLASS="TextBlauFett" COLSPAN="2">Region<BR>
        <?php
          if (isset($data_array["region_id"])) { 
            echo make_selectfield($data_array["region_id"],"region",true);
          } else {
              echo make_selectfield("","region",false);
            }
        ?>
      </TD>
	  <TD>&nbsp;</TD>
	</TR>
    <TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=5 BORDER=0></TD></TR>
    <TR><TD COLSPAN="3" CLASS="TextBlauFett">Einleitung:<BR><TEXTAREA NAME="data_array[intro]" COLS="45" ROWS="3" WRAP="Physical" style="width:500px;"><?php if (isset($data_array["intro"])) { echo $data_array["intro"]; } ?></TEXTAREA></TD></TR>
    <TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=5 BORDER=0></TD></TR>
    <TR><TD COLSPAN="3" CLASS="TextBlauFett">Stellenbezeichnung:<BR><INPUT TYPE="text" NAME="data_array[bezeichnung]" SIZE="44" VALUE="<?php if (isset($data_array["bezeichnung"])) { echo $data_array["bezeichnung"]; } ?>" style="width:500px;"></TD></TR>
    <TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=5 BORDER=0></TD></TR>
    <TR><TD COLSPAN="3" CLASS="TextBlauFett">Zusatz zur Stellenbezeichnung:<BR><TEXTAREA NAME="data_array[zusatz]" COLS="45" ROWS="2" WRAP="Physical" style="width:500px;"><?php if (isset($data_array["zusatz"])) { echo $data_array["zusatz"]; } ?></TEXTAREA></TD></TR>
    <TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=5 BORDER=0></TD></TR>
<?php if ( ((JOB_EDIT_FORM == 0) && ($HTTP_SESSION_VARS["s_browser_id"] == "IE")) || (JOB_EDIT_FORM == 2) ) { ?>
    <TR>
      <TD COLSPAN="3" CLASS="TextBlauFett">Text des Stellenangebotes:<BR>
        <TABLE BORDER="1" CELLPADDING="0" CELLSPACING="0" BGCOLOR="#000000">
        <TR><TD><IFRAME SRC="/jobmanager/includes/jm_editor.php<?php if (isset($data_array["job_id"])) { echo "?id=".$data_array["job_id"]; }?>" NAME="edit" ID="editor" WIDTH="500" HEIGHT="300" MARGINWIDTH="1" MARGINHEIGHT="1" SCROLLING="Auto"></IFRAME></TD></TABLE>
        <INPUT TYPE="hidden" NAME="data_array[beschreibung]" VALUE="">
      </TD>
    </TR>
<?php } else { ?>
    <TR><TD COLSPAN="3" CLASS="TextBlauFett">Text des Stellenangebotes:<BR><TEXTAREA NAME="data_array[beschreibung]" COLS="45" ROWS="10" WRAP="Physical" style="width:500px;"><?php if (isset($data_array["beschreibung"])) { echo $data_array["beschreibung"]; } ?></TEXTAREA></TD></TR>
<?php   } ?>
    <TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH="20" HEIGHT="20" BORDER=0></TD></TR>
<?php 
if ((!empty($sent)) && ($sent != "insert")) { 
?>
    <TR>
      <TD COLSPAN="3" ALIGN="right">
        <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
        <TR>
          <TD ALIGN="left"><A HREF="./jm_job_list.php"><IMG SRC="/jobmanager/images/button_zurueck.gif" WIDTH="65" HEIGHT="25" BORDER="0" ALT="Zurck"></A>
<?php 
  if (isset($data_array["job_id"])) { 
    echo "&nbsp;&nbsp;&nbsp;&nbsp;<A HREF=\"javascript:open_window('jm_jobview_3.php?job_id=".$data_array["job_id"]."', 'popup_preview', 'resizable=yes, scrollbars=yes, width=430, height=550');\" CLASS='TextBlauFett'><IMG SRC='/jobmanager/images/button_vorschau.gif' WIDTH='78' HEIGHT='25' BORDER='0'></A>"; 
  } 
?> 
          </TD>
          <TD ALIGN="right">
<?php 
  if ($role_array["del_job"] == "y") { 
?>
            <A HREF="javascript: void(document.b_form.sent.value = 'delete'); if (confirm('Wollen Sie das Stellenangebot wirklich lschen?')) document.b_form.submit();"><IMG SRC='/jobmanager/images/button_loeschen.gif' BORDER='0'></A>
<?php
  }
?>

<?php 
  if ( ((JOB_EDIT_FORM == 0) && ($HTTP_SESSION_VARS["s_browser_id"] == "IE")) || (JOB_EDIT_FORM == 2) ) { 
?>
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="javascript: document.b_form.sent.value = 'update'; get_data();"><IMG SRC='/jobmanager/images/button_uebernehmen.gif' BORDER='0'></A></TD>
<?php 
  } else { 
?>
           &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="javascript: document.b_form.sent.value = 'update'; document.b_form.submit();"><IMG SRC='/jobmanager/images/button_uebernehmen.gif' BORDER='0'></A></TD>
<?php
    }
?>
        </TR>
        </TABLE>
      </TD>
    </TR>
<?php
} else { // else-Zweig von ($sent != "insert")
?>
    <TR>
      <TD COLSPAN="3">
        <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
        <TR>
          <TD ALIGN="left"><A HREF="./jm_job_list.php"><IMG SRC="/jobmanager/images/button_zurueck.gif" WIDTH="65" HEIGHT="25" BORDER="0" ALT="Zurck"></A></TD>
<?php 
  if ( ((JOB_EDIT_FORM == 0) && ($HTTP_SESSION_VARS["s_browser_id"] == "IE")) || (JOB_EDIT_FORM == 2) ) { 
?>
          <TD ALIGN="right"><A HREF="javascript: document.b_form.sent.value = 'insert'; get_data();"><IMG SRC='/jobmanager/images/button_uebernehmen.gif' BORDER='0'></A></TD>
<?php 
  } else { 
?>
          <TD ALIGN="right"><A HREF="javascript: document.b_form.sent.value = 'insert'; document.b_form.submit();"><IMG SRC='/jobmanager/images/button_uebernehmen.gif' BORDER='0'></A></TD>
<?php
    }
?>
        </TR>
        </TABLE>
      </TD>
    </TR>
<?php
  }
?>
    <TR><TD COLSPAN="3"><IMG SRC="/jobmanager/images/leer.gif" WIDTH=20 HEIGHT=20 BORDER=0></TD></TR>
<?php
if ((isset($data_array["user"])) && (isset($data_array["geaendert_am"]))) { 
  echo "<TR><TD COLSPAN='3' ALIGN='center' CLASS='TextSchwarzKlein'>Stellenangebot wurde zuletzt vom Benutzer <I>".$data_array["user"]."</I> am  <I>".datum_konv($data_array["geaendert_am"],"html+zeit")."</I> Uhr gendert.</TD></TR>";
}
?>
    </TABLE>
  </TD>
  <TD>&nbsp;</TD>
</TR>
</FORM>
<!-- Content ende -->
<TR>
  <TD>&nbsp;</TD>
  <TD><IMG SRC="/jobmanager/images/linie_blau.gif" WIDTH=520 HEIGHT=1 BORDER=0></TD>
  <TD>&nbsp;</TD>
</TR>
<?php include("includes/jm_footer.php"); ?>
</TABLE>
<script language="JavaScript">
<!--
var date_input_1 = new calendar1(document.forms['b_form'].elements['data_array[guelab]']);
var date_input_2 = new calendar1(document.forms['b_form'].elements['data_array[guelbis]']);
//-->
</script>
</body>
</html>