<?php
include("includes/config_jobmanager_inc.php");
include("includes/jm_database_class.php");
include("includes/jm_lib.php");
include("includes/jm_layout_config.php");

$output_strg = "";
getPostGetVars();

switch ($list_type) {
  case "group":
    $sql_strg = "SELECT DISTINCT jm_group.id,jm_group.gruppe AS list_name_field,COUNT(jm_job.bezeichnung) AS count FROM jm_job,jm_group WHERE jm_job.gruppe_id=jm_group.id AND ((jm_job.guelab <= CURRENT_DATE AND jm_job.guelbis >= CURRENT_DATE) OR (jm_job.guelab <= CURRENT_DATE AND jm_job.guelbis = '0000-00-00') OR (jm_job.guelab = '0000-00-00' AND jm_job.guelbis >= CURRENT_DATE) OR (jm_job.guelab = '0000-00-00' AND jm_job.guelbis = '0000-00-00')) AND jm_job.publish = 'y' GROUP BY jm_group.gruppe ORDER BY jm_group.gruppe ASC;";
    $list_title = "Liste der Gruppen";
    break;
  case "region":
    $sql_strg = "SELECT DISTINCT jm_region.id,jm_region.region AS list_name_field,COUNT(jm_job.bezeichnung) AS count FROM jm_job,jm_region WHERE jm_job.region_id=jm_region.id AND ((jm_job.guelab <= CURRENT_DATE AND jm_job.guelbis >= CURRENT_DATE) OR (jm_job.guelab <= CURRENT_DATE AND jm_job.guelbis = '0000-00-00') OR (jm_job.guelab = '0000-00-00' AND jm_job.guelbis >= CURRENT_DATE) OR (jm_job.guelab = '0000-00-00' AND jm_job.guelbis = '0000-00-00')) AND jm_job.publish = 'y' GROUP BY jm_region.region ORDER BY jm_region.region ASC;";
    $list_title = "Liste der Regionen";
    break;
  default:
    $list_type = "category";
    $sql_strg = "SELECT DISTINCT jm_category.id,jm_category.rubrik AS list_name_field,COUNT(jm_job.bezeichnung) AS count FROM jm_job,jm_category WHERE jm_job.rubrik_id=jm_category.id AND ((jm_job.guelab <= CURRENT_DATE AND jm_job.guelbis >= CURRENT_DATE) OR (jm_job.guelab <= CURRENT_DATE AND jm_job.guelbis = '0000-00-00') OR (jm_job.guelab = '0000-00-00' AND jm_job.guelbis >= CURRENT_DATE) OR (jm_job.guelab = '0000-00-00' AND jm_job.guelbis = '0000-00-00')) AND jm_job.publish = 'y' GROUP BY jm_category.rubrik ORDER BY jm_category.rubrik ASC;";
    $list_title = "Liste der Rubriken";
}

$output_strg = "<SPAN CLASS='HeadCategoryListContent'><U>".$list_title.":</U></SPAN><BR>\n<TABLE CELLPADDING='2' CELLSPACING='3' BORDER='0'>\n<TR><TD COLSPAN='2'><IMG SRC='/jobmanager/images/leer.gif' WIDTH='13' HEIGHT='3' BORDER='0'></TD></TR>";

$db_query_obj = new DB_connect;
if (! $db_query_obj->db_error) {
  $db_query_obj->db_query($sql_strg);
  while ($zeile = $db_query_obj->db_fetch_array()) {
    $output_strg .= "<TR><TD WIDTH='15'><IMG SRC='/jobmanager/images/".LIST_BULLET."' BORDER='0'></TD><TD CLASS='TextCategoryListContent'><A HREF='jm_jobview_2.php?list_type=".$list_type."&list_type_id=".$zeile["id"]."' CLASS='TextCategoryListContent'>".$zeile["list_name_field"]."</A> <SPAN CLASS='TextSchwarz'>(".$zeile["count"].")</SPAN></TD></TR>";
  }
  $output_strg .= "</TABLE>\n";
}
$db_query_obj->db_close();

if (! $db_query_obj->db_error) {
  include(DIR_TEMPLATE_FILES.TEMPLATE_JOBVIEW_1);
} else {
    include(DIR_TEMPLATE_FILES.TEMPLATE_JOBVIEW_ERROR);
  }
?>
